Bug 1080583 - Review Request: compat-qpid-cpp - Compatibility modules for Qpid
Summary: Review Request: compat-qpid-cpp - Compatibility modules for Qpid
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1098154 1099481
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-25 17:37 UTC by Darryl L. Pierce
Modified: 2015-06-22 00:08 UTC (History)
5 users (show)

Fixed In Version: compat-qpid-cpp-0.24-12.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-12 06:22:53 UTC
nonamedotc: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Darryl L. Pierce 2014-03-25 17:37:05 UTC
Spec URL: http://mcpierce.fedorapeople.org/rpms/compat-qpid-cpp.spec
SRPM URL: http://mcpierce.fedorapeople.org/rpms/compat-qpid-cpp-0.24-1.fc20.src.rpm
Description: Libraries for Qpid C++ client applications
Fedora Account System Username: mcpierce

Comment 1 Sandro Mani 2014-04-27 19:22:08 UTC
These can be removed:

%defattr(-,root,root,-)

%clean
rm -rf %{buildroot}


The order of the sections in the spec is somehwat untypical, but I don't think there is any guideline for that.


The package fails to build:

/builddir/build/BUILD/qpid-0.24/cpp/src/qpid/ha/BrokerReplicator.cpp:351:6: error: 'void qpid::ha::{anonymous}::collectQueueReplicators(boost::shared_ptr<qpid::broker::Exchange>, std::set<boost::shared_ptr<qpid::ha::QueueReplicator> >&)' defined but not used [-Werror=unused-function]
 void collectQueueReplicators(
      ^
cc1plus: all warnings being treated as errors

Comment 2 Darryl L. Pierce 2014-04-28 14:40:40 UTC
(In reply to Sandro Mani from comment #1)
> These can be removed:
> 
> %defattr(-,root,root,-)
> 
> %clean
> rm -rf %{buildroot}
> 
> 
> The order of the sections in the spec is somehwat untypical, but I don't
> think there is any guideline for that.
> 
> 
> The package fails to build:
> 
> /builddir/build/BUILD/qpid-0.24/cpp/src/qpid/ha/BrokerReplicator.cpp:351:6:
> error: 'void
> qpid::ha::{anonymous}::collectQueueReplicators(boost::shared_ptr<qpid::
> broker::Exchange>, std::set<boost::shared_ptr<qpid::ha::QueueReplicator>
> >&)' defined but not used [-Werror=unused-function]
>  void collectQueueReplicators(
>       ^
> cc1plus: all warnings being treated as errors

Thank you for taking on the review and the feedback.

 * I've removed the defattr lines
 * I've removed the clean stanza
 * I've rebased a few patches from upstream that removed the dead code

Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6790196
Updated spec:  http://mcpierce.fedorapeople.org/rpms/compat-qpid-cpp.spec
Updated SRPM:  http://mcpierce.fedorapeople.org/rpms/compat-qpid-cpp-0.24-3.fc20.src.rpm

Comment 3 Mukundan Ragavan 2014-04-29 14:51:44 UTC
Hi Darryl,

Here is a preliminary review - 


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines
- Development (unversioned) .so files in -devel subpackage, if present.
  Note: Unversioned so-files directly in %_libdir.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages
- ldconfig called in %post and %postun if required.
  Note: /sbin/ldconfig not called in compat-qpid-cpp-server
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Shared_Libraries
- Large documentation must go in a -doc subpackage. Large could be size (~1MB)
  or number of files.
  Note: Documentation size is 19148800 bytes in 1154 files.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[?]: Rpath absent or only used for internal libs.
     Note: See rpmlint output
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "Unknown or generated", "*No copyright* Apache (v2.0)".
     16 files have unknown license. Detailed output of licensecheck in
     /home/mukundan/personal/pkgs/reviews/1080583-compat-qpid-
     cpp/licensecheck.txt

---> This looks fine to me.


[x]: License file installed when any subpackage combination is installed.
[!]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/libexec/qpid, /usr/lib64/qpid/client,
     /usr/lib64/qpid/daemon
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /etc/rc.d/init.d,
     /usr/lib64/qpid/daemon, /usr/libexec/qpid, /etc/rc.d,
     /usr/lib64/qpid/client
[!]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/share/qpid/examples(qpid-
     cpp-client-devel), /usr/share/qpid/examples/qmf-console(qpid-cpp-client-
     devel), /usr/lib64/qpid(qpid-cpp-client), /var/lib/qpidd(qpid-cpp-
     server), /usr/include/qpid/sys(qpid-cpp-client-devel),
     /usr/include/qpid/sys/posix(qpid-cpp-client-devel),
     /usr/include/qpid/messaging(qpid-cpp-client-devel),
     /usr/include/qpid/types(qpid-cpp-client-devel), /usr/include/qpid/framing
     (qpid-cpp-client-devel), /usr/include/qpid/client/amqp0_10(qpid-cpp-
     client-devel), /usr/include/qpid(qpid-cpp-client-devel),
     /usr/include/qpid/console(qpid-cpp-client-devel),
     /usr/include/qpid/client(qpid-cpp-client-devel),
     /usr/share/qpid/examples/messaging(qpid-cpp-client-devel),
     /usr/include/qpid/sys/windows(qpid-cpp-client-devel),
     /usr/include/qpid/amqp_0_10(qpid-cpp-client-devel),
     /usr/share/qpid/examples/qmf2(qpid-cpp-client-devel), /etc/qpid(qpid-cpp-
     client), /usr/include/qpid/log(qpid-cpp-client-devel),
     /usr/include/qpid/agent(qpid-cpp-client-devel),
     /usr/include/qpid/management(qpid-cpp-client-devel),
     /usr/include/qpid/client/no_keyword(qpid-cpp-client-devel),
     /usr/libexec/qpid/tests(qpid-cpp-client-devel), /usr/share/qpid(qpid-cpp-
     client-devel)
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package

---> See issues above.

[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Uses parallel make %{?_smp_mflags} macro.
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).

---> This looks fine I think. I have to look more carefully again.

[?]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in compat-
     qpid-cpp-client , compat-qpid-cpp-client-devel , compat-qpid-cpp-client-
     devel-docs , compat-qpid-cpp-server , compat-qpid-cpp-server-ha , compat-
     qpid-cpp-client-rdma , compat-qpid-cpp-server-rdma , compat-qpid-cpp-
     server-xml , compat-qpid-cpp-server-store , compat-qpid-tools
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.

---> Comments are present in the patches explaining their need.

[ ]: The placement of pkgconfig(.pc) files are correct.
     Note: compat-qpid-cpp : /usr/lib64/pkgconfig/qmf2.pc
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[-]: Files in /run, var/run and /var/lock uses tmpfiles.d when appropriate
[?]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %{!?python_sitearch: %define
     python_sitearch %(%{__python} -c "from distutils.sysconfig import
     get_python_lib; print get_python_lib(1)")}
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[!]: Package should not use obsolete m4 macros
     Note: Some obsoleted macros found, see the attachment.
     See: https://fedorahosted.org/FedoraReview/wiki/AutoTools
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.1.38 starting...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Mock Version: 1.1.38
INFO: Mock Version: 1.1.38
Start: lock buildroot
INFO: installing package(s): /home/mukundan/personal/pkgs/reviews/1080583-compat-qpid-cpp/results/compat-qpid-cpp-0.24-3.fc21.x86_64.rpm /home/mukundan/personal/pkgs/reviews/1080583-compat-qpid-cpp/results/compat-qpid-cpp-client-0.24-3.fc21.x86_64.rpm /home/mukundan/personal/pkgs/reviews/1080583-compat-qpid-cpp/results/compat-qpid-cpp-client-devel-0.24-3.fc21.x86_64.rpm /home/mukundan/personal/pkgs/reviews/1080583-compat-qpid-cpp/results/compat-qpid-cpp-client-devel-docs-0.24-3.fc21.noarch.rpm /home/mukundan/personal/pkgs/reviews/1080583-compat-qpid-cpp/results/compat-qpid-cpp-server-0.24-3.fc21.x86_64.rpm /home/mukundan/personal/pkgs/reviews/1080583-compat-qpid-cpp/results/compat-qpid-cpp-server-ha-0.24-3.fc21.x86_64.rpm /home/mukundan/personal/pkgs/reviews/1080583-compat-qpid-cpp/results/compat-qpid-cpp-client-rdma-0.24-3.fc21.x86_64.rpm /home/mukundan/personal/pkgs/reviews/1080583-compat-qpid-cpp/results/compat-qpid-cpp-server-rdma-0.24-3.fc21.x86_64.rpm /home/mukundan/personal/pkgs/reviews/1080583-compat-qpid-cpp/results/compat-qpid-cpp-server-xml-0.24-3.fc21.x86_64.rpm /home/mukundan/personal/pkgs/reviews/1080583-compat-qpid-cpp/results/compat-qpid-cpp-server-store-0.24-3.fc21.x86_64.rpm /home/mukundan/personal/pkgs/reviews/1080583-compat-qpid-cpp/results/compat-qpid-tools-0.24-3.fc21.noarch.rpm
ERROR: Command failed: 
 # ['/usr/bin/yum', '--installroot', '/var/lib/mock/fedora-rawhide-x86_64/root/', '--releasever', '21', 'install', '/home/mukundan/personal/pkgs/reviews/1080583-compat-qpid-cpp/results/compat-qpid-cpp-0.24-3.fc21.x86_64.rpm', '/home/mukundan/personal/pkgs/reviews/1080583-compat-qpid-cpp/results/compat-qpid-cpp-client-0.24-3.fc21.x86_64.rpm', '/home/mukundan/personal/pkgs/reviews/1080583-compat-qpid-cpp/results/compat-qpid-cpp-client-devel-0.24-3.fc21.x86_64.rpm', '/home/mukundan/personal/pkgs/reviews/1080583-compat-qpid-cpp/results/compat-qpid-cpp-client-devel-docs-0.24-3.fc21.noarch.rpm', '/home/mukundan/personal/pkgs/reviews/1080583-compat-qpid-cpp/results/compat-qpid-cpp-server-0.24-3.fc21.x86_64.rpm', '/home/mukundan/personal/pkgs/reviews/1080583-compat-qpid-cpp/results/compat-qpid-cpp-server-ha-0.24-3.fc21.x86_64.rpm', '/home/mukundan/personal/pkgs/reviews/1080583-compat-qpid-cpp/results/compat-qpid-cpp-client-rdma-0.24-3.fc21.x86_64.rpm', '/home/mukundan/personal/pkgs/reviews/1080583-compat-qpid-cpp/results/compat-qpid-cpp-server-rdma-0.24-3.fc21.x86_64.rpm', '/home/mukundan/personal/pkgs/reviews/1080583-compat-qpid-cpp/results/compat-qpid-cpp-server-xml-0.24-3.fc21.x86_64.rpm', '/home/mukundan/personal/pkgs/reviews/1080583-compat-qpid-cpp/results/compat-qpid-cpp-server-store-0.24-3.fc21.x86_64.rpm', '/home/mukundan/personal/pkgs/reviews/1080583-compat-qpid-cpp/results/compat-qpid-tools-0.24-3.fc21.noarch.rpm', '--setopt=tsflags=nocontexts']
No package matched to upgrade: compat-qpid-cpp-client
Error: Package: compat-qpid-cpp-server-ha-0.24-3.fc21.x86_64 (/compat-qpid-cpp-server-ha-0.24-3.fc21.x86_64)
           Requires: qpid-cpp-server(x86-64) = 0.24-3.fc21
           Available: qpid-cpp-server-0.26-2.fc21.x86_64 (fedora)
               qpid-cpp-server(x86-64) = 0.26-2.fc21
Error: Package: compat-qpid-cpp-server-0.24-3.fc21.x86_64 (/compat-qpid-cpp-server-0.24-3.fc21.x86_64)
           Requires: qpid-cpp-client(x86-64) = 0.24-3.fc21
           Installing: qpid-cpp-client-0.26-2.fc21.x86_64 (fedora)
               qpid-cpp-client(x86-64) = 0.26-2.fc21
Error: Package: compat-qpid-cpp-client-rdma-0.24-3.fc21.x86_64 (/compat-qpid-cpp-client-rdma-0.24-3.fc21.x86_64)
           Requires: qpid-cpp-client(x86-64) = 0.24-3.fc21
           Available: qpid-cpp-client-0.26-2.fc21.x86_64 (fedora)
               qpid-cpp-client(x86-64) = 0.26-2.fc21
Error: Package: compat-qpid-cpp-client-rdma-0.24-3.fc21.x86_64 (/compat-qpid-cpp-client-rdma-0.24-3.fc21.x86_64)
           Requires: qpid-cpp-client(x86-64) = 0.24-3.fc21
           Installing: qpid-cpp-client-0.26-2.fc21.x86_64 (fedora)
               qpid-cpp-client(x86-64) = 0.26-2.fc21
Error: Package: compat-qpid-cpp-client-devel-0.24-3.fc21.x86_64 (/compat-qpid-cpp-client-devel-0.24-3.fc21.x86_64)
           Requires: qpid-cpp-client(x86-64) = 0.24-3.fc21
           Installing: qpid-cpp-client-0.26-2.fc21.x86_64 (fedora)
               qpid-cpp-client(x86-64) = 0.26-2.fc21
Error: Package: compat-qpid-cpp-server-xml-0.24-3.fc21.x86_64 (/compat-qpid-cpp-server-xml-0.24-3.fc21.x86_64)
           Requires: qpid-cpp-server(x86-64) = 0.24-3.fc21
           Available: qpid-cpp-server-0.26-2.fc21.x86_64 (fedora)
               qpid-cpp-server(x86-64) = 0.26-2.fc21
 You could try using --skip-broken to work around the problem
Error: Package: compat-qpid-cpp-server-rdma-0.24-3.fc21.x86_64 (/compat-qpid-cpp-server-rdma-0.24-3.fc21.x86_64)
           Requires: qpid-cpp-client-rdma(x86-64) = 0.24-3.fc21
           Available: qpid-cpp-client-rdma-0.26-2.fc21.x86_64 (fedora)
               qpid-cpp-client-rdma(x86-64) = 0.26-2.fc21
Error: Package: compat-qpid-cpp-client-devel-0.24-3.fc21.x86_64 (/compat-qpid-cpp-client-devel-0.24-3.fc21.x86_64)
           Requires: qpid-cpp-client(x86-64) = 0.24-3.fc21
           Available: qpid-cpp-client-0.26-2.fc21.x86_64 (fedora)
               qpid-cpp-client(x86-64) = 0.26-2.fc21
Error: Package: compat-qpid-cpp-server-store-0.24-3.fc21.x86_64 (/compat-qpid-cpp-server-store-0.24-3.fc21.x86_64)
           Requires: qpid-cpp-server(x86-64) = 0.24
           Available: qpid-cpp-server-0.26-2.fc21.x86_64 (fedora)
               qpid-cpp-server(x86-64) = 0.26-2.fc21
Error: Package: compat-qpid-cpp-server-0.24-3.fc21.x86_64 (/compat-qpid-cpp-server-0.24-3.fc21.x86_64)
           Requires: qpid-cpp-client(x86-64) = 0.24-3.fc21
           Available: qpid-cpp-client-0.26-2.fc21.x86_64 (fedora)
               qpid-cpp-client(x86-64) = 0.26-2.fc21
Error: compat-qpid-cpp-client conflicts with qpid-cpp-client-0.26-2.fc21.x86_64
Error: Package: compat-qpid-cpp-server-rdma-0.24-3.fc21.x86_64 (/compat-qpid-cpp-server-rdma-0.24-3.fc21.x86_64)
           Requires: qpid-cpp-server(x86-64) = 0.24-3.fc21
           Available: qpid-cpp-server-0.26-2.fc21.x86_64 (fedora)
               qpid-cpp-server(x86-64) = 0.26-2.fc21
 You could try running: rpm -Va --nofiles --nodigest



Rpmlint
-------
Checking: compat-qpid-cpp-0.24-3.fc21.x86_64.rpm
          compat-qpid-cpp-client-0.24-3.fc21.x86_64.rpm
          compat-qpid-cpp-client-devel-0.24-3.fc21.x86_64.rpm
          compat-qpid-cpp-client-devel-docs-0.24-3.fc21.noarch.rpm
          compat-qpid-cpp-server-0.24-3.fc21.x86_64.rpm
          compat-qpid-cpp-server-ha-0.24-3.fc21.x86_64.rpm
          compat-qpid-cpp-client-rdma-0.24-3.fc21.x86_64.rpm
          compat-qpid-cpp-server-rdma-0.24-3.fc21.x86_64.rpm
          compat-qpid-cpp-server-xml-0.24-3.fc21.x86_64.rpm
          compat-qpid-cpp-server-store-0.24-3.fc21.x86_64.rpm
          compat-qpid-tools-0.24-3.fc21.noarch.rpm
          compat-qpid-cpp-0.24-3.fc21.src.rpm
compat-qpid-cpp.x86_64: E: no-binary
compat-qpid-cpp.x86_64: W: no-documentation
compat-qpid-cpp.x86_64: W: devel-file-in-non-devel-package /usr/lib64/pkgconfig/qmf2.pc
compat-qpid-cpp-client.x86_64: W: self-obsoletion qpid-cpp-client-ssl <= 0.24 obsoletes qpid-cpp-client-ssl = 0.24
compat-qpid-cpp-client.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libqpidcommon.so
compat-qpid-cpp-client.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libqpidtypes.so
compat-qpid-cpp-client.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libqpidclient.so
compat-qpid-cpp-client.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libqpidmessaging.so
compat-qpid-cpp-client-devel.x86_64: W: no-dependency-on compat-qpid-cpp-client/compat-qpid-cpp-client-libs/libcompat-qpid-cpp-client
compat-qpid-cpp-client-devel.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/qpid-topic-listener ['/builddir/build/BUILD/qpid-0.24/cpp/src', '']
compat-qpid-cpp-client-devel.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/qpid-client-test ['/builddir/build/BUILD/qpid-0.24/cpp/src', '']
compat-qpid-cpp-client-devel.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/qpid-latency-test ['/builddir/build/BUILD/qpid-0.24/cpp/src', '']
compat-qpid-cpp-client-devel.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/qpid-txtest ['/builddir/build/BUILD/qpid-0.24/cpp/src', '']
compat-qpid-cpp-client-devel.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/qpid-topic-publisher ['/builddir/build/BUILD/qpid-0.24/cpp/src', '']
compat-qpid-cpp-client-devel.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/qpid-perftest ['/builddir/build/BUILD/qpid-0.24/cpp/src', '']
compat-qpid-cpp-client-devel.x86_64: W: no-documentation
compat-qpid-cpp-client-devel.x86_64: W: no-manual-page-for-binary qpid-topic-publisher
compat-qpid-cpp-client-devel.x86_64: W: no-manual-page-for-binary qpid-perftest
compat-qpid-cpp-client-devel.x86_64: W: no-manual-page-for-binary qpid-latency-test
compat-qpid-cpp-client-devel.x86_64: W: no-manual-page-for-binary qpid-txtest
compat-qpid-cpp-client-devel.x86_64: W: no-manual-page-for-binary qpid-topic-listener
compat-qpid-cpp-client-devel.x86_64: W: no-manual-page-for-binary qpid-client-test
compat-qpid-cpp-server.x86_64: W: self-obsoletion qpid-cpp-server-ssl <= 0.24 obsoletes qpid-cpp-server-ssl = 0.24
compat-qpid-cpp-server.x86_64: W: conffile-without-noreplace-flag /etc/qpidd.conf
compat-qpid-cpp-server.x86_64: E: postin-without-ldconfig /usr/lib64/libqpidbroker.so.2.0.0
compat-qpid-cpp-server.x86_64: W: non-standard-uid /var/lib/qpidd qpidd
compat-qpid-cpp-server.x86_64: W: non-standard-gid /var/lib/qpidd qpidd
compat-qpid-cpp-server.x86_64: W: non-standard-uid /var/run/qpidd qpidd
compat-qpid-cpp-server.x86_64: W: non-standard-gid /var/run/qpidd qpidd
compat-qpid-cpp-server.x86_64: W: dangerous-command-in-%post ln
compat-qpid-cpp-server.x86_64: W: dangerous-command-in-%postun ln
compat-qpid-cpp-server-ha.x86_64: W: no-documentation
compat-qpid-cpp-server-ha.x86_64: W: no-manual-page-for-binary qpid-ha
compat-qpid-cpp-server-ha.x86_64: E: subsys-not-used /etc/rc.d/init.d/qpidd-primary
compat-qpid-cpp-server-ha.x86_64: W: incoherent-init-script-name qpidd-primary ('compat-qpid-cpp-server-ha', 'compat-qpid-cpp-server-had')
compat-qpid-cpp-client-rdma.x86_64: W: no-documentation
compat-qpid-cpp-client-rdma.x86_64: W: devel-file-in-non-devel-package /usr/lib64/librdmawrap.so
compat-qpid-cpp-server-rdma.x86_64: W: no-documentation
compat-qpid-cpp-server-xml.x86_64: W: no-documentation
compat-qpid-cpp-server-store.x86_64: E: explicit-lib-dependency libaio
compat-qpid-cpp-server-store.x86_64: W: only-non-binary-in-usr-lib
compat-qpid-cpp-server-store.x86_64: W: no-documentation
compat-qpid-cpp-server-store.x86_64: W: dangling-relative-symlink /usr/lib64/qpid/daemon/store.so store.so.0.24
compat-qpid-tools.noarch: W: devel-file-in-non-devel-package /usr/bin/qpid-config
compat-qpid-tools.noarch: W: no-manual-page-for-binary qpid-config
compat-qpid-tools.noarch: W: no-manual-page-for-binary qpid-route
compat-qpid-tools.noarch: W: no-manual-page-for-binary qpid-cluster-store
compat-qpid-tools.noarch: W: no-manual-page-for-binary qpid-cluster
compat-qpid-tools.noarch: W: no-manual-page-for-binary qpid-tool
compat-qpid-tools.noarch: W: no-manual-page-for-binary qpid-stat
compat-qpid-tools.noarch: W: no-manual-page-for-binary qpid-queue-stats
compat-qpid-tools.noarch: W: no-manual-page-for-binary qpid-printevents
compat-qpid-cpp.src:105: W: macro-in-comment %doc
compat-qpid-cpp.src:174: W: macro-in-comment %{_datadir}
compat-qpid-cpp.src:230: W: macro-in-comment %attr
compat-qpid-cpp.src:230: W: macro-in-comment %config
compat-qpid-cpp.src:230: W: macro-in-comment %{_localstatedir}
compat-qpid-cpp.src: E: specfile-error -e:1:in `<main>': Use RbConfig instead of obsolete and deprecated Config.
compat-qpid-cpp.src: E: specfile-error -e:1:in `<main>': Use RbConfig instead of obsolete and deprecated Config.
compat-qpid-cpp.src: E: specfile-error -e:1:in `<main>': Use RbConfig instead of obsolete and deprecated Config.
compat-qpid-cpp.src: E: specfile-error -e:1:in `<main>': Use RbConfig instead of obsolete and deprecated Config.
12 packages and 0 specfiles checked; 14 errors, 47 warnings.




Requires
--------
compat-qpid-cpp (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    /usr/bin/pkg-config
    pkgconfig(qpid)

compat-qpid-cpp-client (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    boost
    chkconfig
    config(compat-qpid-cpp-client)
    initscripts
    ld-linux-x86-64.so.2()(64bit)
    libboost_program_options.so.1.54.0()(64bit)
    libboost_system.so.1.54.0()(64bit)
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_4.0.0)(64bit)
    libm.so.6()(64bit)
    libnspr4.so()(64bit)
    libnss3.so()(64bit)
    libnss3.so(NSS_3.2)(64bit)
    libnssutil3.so()(64bit)
    libplc4.so()(64bit)
    libplds4.so()(64bit)
    libpthread.so.0()(64bit)
    libqpidclient.so.2()(64bit)
    libqpidcommon.so.2()(64bit)
    libqpidmessaging.so.2()(64bit)
    libqpidtypes.so.1()(64bit)
    librt.so.1()(64bit)
    libsasl2.so.3()(64bit)
    libsmime3.so()(64bit)
    libssl3.so()(64bit)
    libssl3.so(NSS_3.2)(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libuuid.so.1()(64bit)
    libuuid.so.1(UUID_1.0)(64bit)
    qpid-proton-c(x86-64)
    rtld(GNU_HASH)

compat-qpid-cpp-client-devel-docs (rpmlib, GLIBC filtered):

compat-qpid-cpp-server-ha (rpmlib, GLIBC filtered):
    /bin/bash
    /bin/sh
    /usr/bin/python
    libboost_program_options.so.1.54.0()(64bit)
    libboost_system.so.1.54.0()(64bit)
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libqpidbroker.so.2()(64bit)
    libqpidclient.so.2()(64bit)
    libqpidcommon.so.2()(64bit)
    libqpidmessaging.so.2()(64bit)
    libqpidtypes.so.1()(64bit)
    librt.so.1()(64bit)
    libsasl2.so.3()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libuuid.so.1()(64bit)
    qpid-cpp-server(x86-64)
    qpid-qmf(x86-64)
    rtld(GNU_HASH)

compat-qpid-cpp-client-devel (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    /usr/bin/env
    /usr/bin/pkg-config
    boost-devel
    boost-filesystem
    boost-program-options
    libboost_program_options.so.1.54.0()(64bit)
    libboost_system.so.1.54.0()(64bit)
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_4.0.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libqpidclient.so.2()(64bit)
    libqpidcommon.so.2()(64bit)
    libqpidmessaging.so.2()(64bit)
    libqpidtypes.so.1()(64bit)
    librt.so.1()(64bit)
    libsasl2.so.3()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libuuid-devel
    libuuid.so.1()(64bit)
    python
    qpid-cpp-client(x86-64)
    rtld(GNU_HASH)

compat-qpid-cpp-client-rdma (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    config(compat-qpid-cpp-client-rdma)
    ld-linux-x86-64.so.2()(64bit)
    libboost_program_options.so.1.54.0()(64bit)
    libboost_system.so.1.54.0()(64bit)
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libibverbs.so.1()(64bit)
    libibverbs.so.1(IBVERBS_1.0)(64bit)
    libibverbs.so.1(IBVERBS_1.1)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libqpidclient.so.2()(64bit)
    libqpidcommon.so.2()(64bit)
    libqpidtypes.so.1()(64bit)
    librdmacm.so.1()(64bit)
    librdmacm.so.1(RDMACM_1.0)(64bit)
    librdmawrap.so.2()(64bit)
    librt.so.1()(64bit)
    libsasl2.so.3()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libuuid.so.1()(64bit)
    qpid-cpp-client(x86-64)
    rtld(GNU_HASH)

compat-qpid-cpp-server-store (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    db4
    libaio
    qpid-cpp-server(x86-64)

compat-qpid-cpp-server-rdma (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libboost_program_options.so.1.54.0()(64bit)
    libboost_system.so.1.54.0()(64bit)
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libibverbs.so.1()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libqpidbroker.so.2()(64bit)
    libqpidcommon.so.2()(64bit)
    libqpidtypes.so.1()(64bit)
    librdmacm.so.1()(64bit)
    librdmawrap.so.2()(64bit)
    librt.so.1()(64bit)
    libsasl2.so.3()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libuuid.so.1()(64bit)
    qpid-cpp-client-rdma(x86-64)
    qpid-cpp-server(x86-64)
    rtld(GNU_HASH)

compat-qpid-cpp-server-xml (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libboost_program_options.so.1.54.0()(64bit)
    libboost_system.so.1.54.0()(64bit)
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libqpidbroker.so.2()(64bit)
    libqpidcommon.so.2()(64bit)
    libqpidtypes.so.1()(64bit)
    librt.so.1()(64bit)
    libsasl2.so.3()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libuuid.so.1()(64bit)
    libxerces-c-3.1.so()(64bit)
    libxqilla.so.6()(64bit)
    qpid-cpp-server(x86-64)
    rtld(GNU_HASH)
    xerces-c
    xqilla

compat-qpid-tools (rpmlib, GLIBC filtered):
    /usr/bin/python
    python-qpid
    python-qpid-qmf

compat-qpid-cpp-server (rpmlib, GLIBC filtered):
    /bin/sh
    config(compat-qpid-cpp-server)
    cyrus-sasl
    ld-linux-x86-64.so.2()(64bit)
    libaio.so.1()(64bit)
    libaio.so.1(LIBAIO_0.1)(64bit)
    libaio.so.1(LIBAIO_0.4)(64bit)
    libboost_program_options.so.1.54.0()(64bit)
    libboost_system.so.1.54.0()(64bit)
    libc.so.6()(64bit)
    libdb_cxx-4.8.so()(64bit)
    libdl.so.2()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_4.0.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libqpidbroker.so.2()(64bit)
    libqpidclient.so.2()(64bit)
    libqpidcommon.so.2()(64bit)
    libqpidmessaging.so.2()(64bit)
    libqpidtypes.so.1()(64bit)
    librt.so.1()(64bit)
    libsasl2.so.3()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libuuid.so.1()(64bit)
    libuuid.so.1(UUID_1.0)(64bit)
    libxerces-c-3.1.so()(64bit)
    libxqilla.so.6()(64bit)
    qpid-cpp-client(x86-64)
    qpid-proton-c(x86-64)
    rtld(GNU_HASH)
    systemd-units



Provides
--------
compat-qpid-cpp:
    compat-qpid-cpp
    compat-qpid-cpp(x86-64)
    pkgconfig(qmf2)

compat-qpid-cpp-client:
    compat-qpid-cpp-client
    compat-qpid-cpp-client(x86-64)
    config(compat-qpid-cpp-client)
    libqpidclient.so.2()(64bit)
    libqpidcommon.so.2()(64bit)
    libqpidmessaging.so.2()(64bit)
    libqpidtypes.so.1()(64bit)
    qpid-cpp-client-ssl

compat-qpid-cpp-client-devel-docs:
    compat-qpid-cpp-client-devel-docs

compat-qpid-cpp-server-ha:
    compat-qpid-cpp-server-ha
    compat-qpid-cpp-server-ha(x86-64)

compat-qpid-cpp-client-devel:
    compat-qpid-cpp-client-devel
    compat-qpid-cpp-client-devel(x86-64)
    pkgconfig(qpid)

compat-qpid-cpp-client-rdma:
    compat-qpid-cpp-client-rdma
    compat-qpid-cpp-client-rdma(x86-64)
    config(compat-qpid-cpp-client-rdma)
    librdmawrap.so.2()(64bit)

compat-qpid-cpp-server-store:
    compat-qpid-cpp-server-store
    compat-qpid-cpp-server-store(x86-64)

compat-qpid-cpp-server-rdma:
    compat-qpid-cpp-server-rdma
    compat-qpid-cpp-server-rdma(x86-64)

compat-qpid-cpp-server-xml:
    compat-qpid-cpp-server-xml
    compat-qpid-cpp-server-xml(x86-64)

compat-qpid-tools:
    compat-qpid-tools

compat-qpid-cpp-server:
    compat-qpid-cpp-server
    compat-qpid-cpp-server(x86-64)
    config(compat-qpid-cpp-server)
    libqpidbroker.so.2()(64bit)
    qpid-cpp-server-ssl



Unversioned so-files
--------------------
compat-qpid-cpp-client: /usr/lib64/libqpidclient.so
compat-qpid-cpp-client: /usr/lib64/libqpidcommon.so
compat-qpid-cpp-client: /usr/lib64/libqpidmessaging.so
compat-qpid-cpp-client: /usr/lib64/libqpidtypes.so
compat-qpid-cpp-server: /usr/lib64/qpid/daemon/ha.so
compat-qpid-cpp-server: /usr/lib64/qpid/daemon/legacystore.so
compat-qpid-cpp-server: /usr/lib64/qpid/daemon/store.so
compat-qpid-cpp-server: /usr/lib64/qpid/daemon/xml.so
compat-qpid-cpp-server-ha: /usr/lib64/qpid/daemon/ha.so
compat-qpid-cpp-client-rdma: /usr/lib64/librdmawrap.so
compat-qpid-cpp-client-rdma: /usr/lib64/qpid/client/rdmaconnector.so
compat-qpid-cpp-server-rdma: /usr/lib64/qpid/daemon/rdma.so
compat-qpid-cpp-server-xml: /usr/lib64/qpid/daemon/xml.so
compat-qpid-cpp-server-store: /usr/lib64/qpid/daemon/store.so

Source checksums
----------------
http://www.apache.org/dist/qpid/0.24/qpid-0.24.tar.gz :
  CHECKSUM(SHA256) this package     : af62a8f551f3f9eb99d460f7fc417bba8d9900b9d6cf0902fc7e01a25d8c8fcd
  CHECKSUM(SHA256) upstream package : af62a8f551f3f9eb99d460f7fc417bba8d9900b9d6cf0902fc7e01a25d8c8fcd


AutoTools: Obsoleted m4s found
------------------------------
  AC_PROG_LIBTOOL found in: qpid-0.24/extras/sasl/configure.ac:102,
  qpid-0.24/cpp/configure.ac:128


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1080583
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 4 Mukundan Ragavan 2014-04-29 14:53:06 UTC
I guess I can take this package for review ...

Comment 5 Darryl L. Pierce 2014-04-29 15:51:47 UTC
(In reply to Mukundan Ragavan from comment #3)
<snip>

I saw a few issues reported by the review tool regarding conflicts between compat-qpid-cpp and qpid-cpp. I wanted to clarify that this is intentional, that compat-qpid-cpp is not meant to co-exist on a system that has qpid-cpp installed, that compat-qpid-cpp is a compatibility package for systems that require Qpid 0.24.

Comment 6 Darryl L. Pierce 2014-04-29 19:09:29 UTC
(In reply to Mukundan Ragavan from comment #3)
> [!]: Package requires other packages for directories it uses.
>      Note: No known owner of /usr/libexec/qpid, /usr/lib64/qpid/client,
>      /usr/lib64/qpid/daemon
>
> [!]: Package must own all directories that it creates.
>      Note: Directories without known owners: /etc/rc.d/init.d,
>      /usr/lib64/qpid/daemon, /usr/libexec/qpid, /etc/rc.d,
>      /usr/lib64/qpid/client

It shouldn't own /etc/rc.d/init.d or /etc/rc.d. Others should be fine.

> [!]: Package does not own files or directories owned by other packages.

See my previous comment about compat-qpid-cpp and qpid-cpp being intentionally conflicting packages.

> Generic:
> [!]: Uses parallel make %{?_smp_mflags} macro.

Not sure why this was flagged, the build does in fact use parallel make which is desirable and not a red flag. Is the review tool having some issues?

> Generic:
> [!]: Rpmlint is run on all installed packages.
>      Note: Mock build failed
>      See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
> [!]: Package should not use obsolete m4 macros
>      Note: Some obsoleted macros found, see the attachment.
>      See: https://fedorahosted.org/FedoraReview/wiki/AutoTools

The build doesn't use the autotools chain, but uses Cmake.

Also fixed the Requires for compat packages that were still drawing in qpid-cpp packages.

Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6796076
Updated spec:  http://mcpierce.fedorapeople.org/rpms/compat-qpid-cpp.spec
Updated SRPM:  http://mcpierce.fedorapeople.org/rpms/compat-qpid-cpp-0.24-4.fc20.src.rpm

Comment 7 Mukundan Ragavan 2014-04-29 19:16:17 UTC
(In reply to Darryl L. Pierce from comment #6)
> (In reply to Mukundan Ragavan from comment #3)
> > [!]: Package requires other packages for directories it uses.
> >      Note: No known owner of /usr/libexec/qpid, /usr/lib64/qpid/client,
> >      /usr/lib64/qpid/daemon
> >
> > [!]: Package must own all directories that it creates.
> >      Note: Directories without known owners: /etc/rc.d/init.d,
> >      /usr/lib64/qpid/daemon, /usr/libexec/qpid, /etc/rc.d,
> >      /usr/lib64/qpid/client
> 
> It shouldn't own /etc/rc.d/init.d or /etc/rc.d. Others should be fine.

That would be fine, yes.

> 
> > [!]: Package does not own files or directories owned by other packages.
> 
> See my previous comment about compat-qpid-cpp and qpid-cpp being
> intentionally conflicting packages.
> 

Thanks for the clarification! :)

> > Generic:
> > [!]: Uses parallel make %{?_smp_mflags} macro.
> 
> Not sure why this was flagged, the build does in fact use parallel make
> which is desirable and not a red flag. Is the review tool having some issues?
> 
> > Generic:
> > [!]: Rpmlint is run on all installed packages.
> >      Note: Mock build failed
> >      See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
> > [!]: Package should not use obsolete m4 macros
> >      Note: Some obsoleted macros found, see the attachment.
> >      See: https://fedorahosted.org/FedoraReview/wiki/AutoTools
> 
> The build doesn't use the autotools chain, but uses Cmake.

Yeah - I was also wondering about that....

> 
> Also fixed the Requires for compat packages that were still drawing in
> qpid-cpp packages.
> 
> Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6796076
> Updated spec:  http://mcpierce.fedorapeople.org/rpms/compat-qpid-cpp.spec
> Updated SRPM: 
> http://mcpierce.fedorapeople.org/rpms/compat-qpid-cpp-0.24-4.fc20.src.rpm

I will try to get this done later this evening.

Comment 8 Mukundan Ragavan 2014-04-30 14:32:52 UTC
Hi Darryl, I think this one also needs a -doc subpackage. There is a client-devel-docs but, I think this needs to be addressed as well(?)

- Large documentation must go in a -doc subpackage. Large could be size (~1MB)
  or number of files.
  Note: Documentation size is 19148800 bytes in 1154 files.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation

and this,

- ldconfig called in %post and %postun if required.
  Note: /sbin/ldconfig not called in compat-qpid-cpp-server
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Shared_Libraries

Also, I think there are some rpmlint errors that we should address as well.

(1)
compat-qpid-cpp-client-devel.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/qpid-topic-listener ['/builddir/build/BUILD/qpid-0.24/cpp/src', '']
compat-qpid-cpp-client-devel.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/qpid-client-test ['/builddir/build/BUILD/qpid-0.24/cpp/src', '']
compat-qpid-cpp-client-devel.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/qpid-latency-test ['/builddir/build/BUILD/qpid-0.24/cpp/src', '']
compat-qpid-cpp-client-devel.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/qpid-txtest ['/builddir/build/BUILD/qpid-0.24/cpp/src', '']
compat-qpid-cpp-client-devel.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/qpid-topic-publisher ['/builddir/build/BUILD/qpid-0.24/cpp/src', '']
compat-qpid-cpp-client-devel.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/qpid-perftest ['/builddir/build/BUILD/qpid-0.24/cpp/src', '']

(2) E: explicit-lib-dependency libaio

Requires:  libaio under %package server-store

Could you please take a look?

Comment 9 Darryl L. Pierce 2014-05-02 15:14:09 UTC
(In reply to Mukundan Ragavan from comment #8)
> Hi Darryl, I think this one also needs a -doc subpackage. There is a
> client-devel-docs but, I think this needs to be addressed as well(?)

I might be misunderstanding something, but I don't know what "this one" refers to in the above sentence. We have a compat-qpid-cpp-client-devel-doc subpackage that is capturing all of the generated documentation. What other docs are you referring to?
 
> - Large documentation must go in a -doc subpackage. Large could be size
> (~1MB)
>   or number of files.
>   Note: Documentation size is 19148800 bytes in 1154 files.
>   See:
> http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation
> 
> and this,
> 
> - ldconfig called in %post and %postun if required.
>   Note: /sbin/ldconfig not called in compat-qpid-cpp-server
>   See: http://fedoraproject.org/wiki/Packaging/Guidelines#Shared_Libraries
> 
> Also, I think there are some rpmlint errors that we should address as well.
> 
> (1)
> compat-qpid-cpp-client-devel.x86_64: E: binary-or-shlib-defines-rpath
> /usr/bin/qpid-topic-listener ['/builddir/build/BUILD/qpid-0.24/cpp/src', '']
> compat-qpid-cpp-client-devel.x86_64: E: binary-or-shlib-defines-rpath
> /usr/bin/qpid-client-test ['/builddir/build/BUILD/qpid-0.24/cpp/src', '']
> compat-qpid-cpp-client-devel.x86_64: E: binary-or-shlib-defines-rpath
> /usr/bin/qpid-latency-test ['/builddir/build/BUILD/qpid-0.24/cpp/src', '']
> compat-qpid-cpp-client-devel.x86_64: E: binary-or-shlib-defines-rpath
> /usr/bin/qpid-txtest ['/builddir/build/BUILD/qpid-0.24/cpp/src', '']
> compat-qpid-cpp-client-devel.x86_64: E: binary-or-shlib-defines-rpath
> /usr/bin/qpid-topic-publisher ['/builddir/build/BUILD/qpid-0.24/cpp/src', '']
> compat-qpid-cpp-client-devel.x86_64: E: binary-or-shlib-defines-rpath
> /usr/bin/qpid-perftest ['/builddir/build/BUILD/qpid-0.24/cpp/src', '']

Very strange here. CMake usually has the rpath problem if you use install(files) rather than install(targets), with the latter case stripping the data as expected.

So to fix this I've added -DCMAKE_SKIP_RPATH:BOOL=ON to the build and the rpath information isn't getting created at all now.
 
> (2) E: explicit-lib-dependency libaio
> 
> Requires:  libaio under %package server-store
> 
> Could you please take a look?

Fixed thi sas well.

Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6806842
Updated spec:  http://mcpierce.fedorapeople.org/rpms/compat-qpid-cpp.spec
Updated srpm:  http://mcpierce.fedorapeople.org/rpms/compat-qpid-cpp-0.24-5.fc20.src.rpm

Comment 10 Mukundan Ragavan 2014-05-05 13:56:44 UTC
Hey! Sorry for the delay. I will review this evening.

Comment 11 Darryl L. Pierce 2014-05-12 12:11:15 UTC
(In reply to Mukundan Ragavan from comment #10)
> Hey! Sorry for the delay. I will review this evening.


Hi, Mukundan. Will you have time soon to wrap up this review?

Comment 12 Mukundan Ragavan 2014-05-12 14:45:42 UTC
Hi Darryl, Sorry for the delay (again!). Here is the review


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines

---> Compat package - conflicts are expected.

- Development (unversioned) .so files in -devel subpackage, if present.
  Note: Unversioned so-files directly in %_libdir.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages

Unversioned so-files
--------------------
compat-qpid-cpp-client: /usr/lib64/libqpidclient.so
compat-qpid-cpp-client: /usr/lib64/libqpidcommon.so
compat-qpid-cpp-client: /usr/lib64/libqpidmessaging.so
compat-qpid-cpp-client: /usr/lib64/libqpidtypes.so
compat-qpid-cpp-server: /usr/lib64/qpid/daemon/ha.so
compat-qpid-cpp-server: /usr/lib64/qpid/daemon/legacystore.so
compat-qpid-cpp-server: /usr/lib64/qpid/daemon/store.so
compat-qpid-cpp-server: /usr/lib64/qpid/daemon/xml.so
compat-qpid-cpp-server-ha: /usr/lib64/qpid/daemon/ha.so
compat-qpid-cpp-client-rdma: /usr/lib64/librdmawrap.so
compat-qpid-cpp-client-rdma: /usr/lib64/qpid/client/rdmaconnector.so
compat-qpid-cpp-server-rdma: /usr/lib64/qpid/daemon/rdma.so
compat-qpid-cpp-server-xml: /usr/lib64/qpid/daemon/xml.so
compat-qpid-cpp-server-store: /usr/lib64/qpid/daemon/store.so


- ldconfig called in %post and %postun if required.
  Note: /sbin/ldconfig not called in compat-qpid-cpp-server
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Shared_Libraries

- Large documentation must go in a -doc subpackage. Large could be size (~1MB)
  or number of files.
  Note: Documentation size is 19148800 bytes in 1154 files.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation

---> This error is bogus. The documentation files are present in compat-qpid-cpp-client-devel-docs.


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "Unknown or generated", "*No copyright* Apache (v2.0)".
     16 files have unknown license. Detailed output of licensecheck in
     /home/mukundan/personal/pkgs/reviews/compat-qpid-cpp/1080583-compat-qpid-
     cpp/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[!]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/libexec/qpid, /usr/lib64/qpid/client
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/libexec/qpid,
     /usr/lib64/qpid, /usr/lib64/qpid/client, /etc/rc.d, /etc/rc.d/init.d,
     /usr/lib64/qpid/daemon

[X]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/share/qpid/examples(qpid-
     cpp-client-devel), /usr/share/qpid/examples/qmf-console(qpid-cpp-client-
     devel), /usr/lib64/qpid(qpid-cpp-client), /var/lib/qpidd(qpid-cpp-
     server), /usr/include/qpid/sys(qpid-cpp-client-devel),
     /usr/include/qpid/sys/posix(qpid-cpp-client-devel),
     /usr/include/qpid/messaging(qpid-cpp-client-devel),
     /usr/include/qpid/agent(qpid-cpp-client-devel), /usr/include/qpid/framing
     (qpid-cpp-client-devel), /usr/include/qpid/client/amqp0_10(qpid-cpp-
     client-devel), /usr/include/qpid(qpid-cpp-client-devel),
     /usr/include/qpid/console(qpid-cpp-client-devel),
     /usr/include/qpid/client(qpid-cpp-client-devel),
     /usr/share/qpid/examples/messaging(qpid-cpp-client-devel),
     /usr/include/qpid/sys/windows(qpid-cpp-client-devel),
     /usr/include/qpid/amqp_0_10(qpid-cpp-client-devel),
     /usr/share/qpid/examples/qmf2(qpid-cpp-client-devel), /etc/qpid(qpid-cpp-
     client), /usr/include/qpid/log(qpid-cpp-client-devel),
     /usr/include/qpid/types(qpid-cpp-client-devel),
     /usr/include/qpid/management(qpid-cpp-client-devel),
     /usr/include/qpid/client/no_keyword(qpid-cpp-client-devel),
     /usr/libexec/qpid/tests(qpid-cpp-client-devel), /usr/share/qpid(qpid-cpp-
     client-devel)

---> Intended conflict. Looks fine to me.

[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[!]: Development files must be in a -devel package

---> Unversioned .so files. Please see above.

[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Uses parallel make %{?_smp_mflags} macro.

---> I do not understand what's going on here!

[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in compat-
     qpid-cpp-client , compat-qpid-cpp-client-devel , compat-qpid-cpp-client-
     devel-docs , compat-qpid-cpp-server , compat-qpid-cpp-server-ha , compat-
     qpid-cpp-client-rdma , compat-qpid-cpp-server-rdma , compat-qpid-cpp-
     server-xml , compat-qpid-cpp-server-store , compat-qpid-tools
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: The placement of pkgconfig(.pc) files are correct.
     Note: compat-qpid-cpp : /usr/lib64/pkgconfig/qmf2.pc
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Files in /run, var/run and /var/lock uses tmpfiles.d when appropriate
[?]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %{!?python_sitearch: %define
     python_sitearch %(%{__python} -c "from distutils.sysconfig import
     get_python_lib; print get_python_lib(1)")}

Is this needed?

[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[!]: Package should not use obsolete m4 macros
     Note: Some obsoleted macros found, see the attachment.
     See: https://fedorahosted.org/FedoraReview/wiki/AutoTools
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.1.38 starting...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Mock Version: 1.1.38
INFO: Mock Version: 1.1.38
Start: lock buildroot
INFO: installing package(s): /home/mukundan/personal/pkgs/reviews/compat-qpid-cpp/1080583-compat-qpid-cpp/results/compat-qpid-cpp-0.24-5.fc21.x86_64.rpm /home/mukundan/personal/pkgs/reviews/compat-qpid-cpp/1080583-compat-qpid-cpp/results/compat-qpid-cpp-client-0.24-5.fc21.x86_64.rpm /home/mukundan/personal/pkgs/reviews/compat-qpid-cpp/1080583-compat-qpid-cpp/results/compat-qpid-cpp-client-devel-0.24-5.fc21.x86_64.rpm /home/mukundan/personal/pkgs/reviews/compat-qpid-cpp/1080583-compat-qpid-cpp/results/compat-qpid-cpp-client-devel-docs-0.24-5.fc21.noarch.rpm /home/mukundan/personal/pkgs/reviews/compat-qpid-cpp/1080583-compat-qpid-cpp/results/compat-qpid-cpp-server-0.24-5.fc21.x86_64.rpm /home/mukundan/personal/pkgs/reviews/compat-qpid-cpp/1080583-compat-qpid-cpp/results/compat-qpid-cpp-server-ha-0.24-5.fc21.x86_64.rpm /home/mukundan/personal/pkgs/reviews/compat-qpid-cpp/1080583-compat-qpid-cpp/results/compat-qpid-cpp-client-rdma-0.24-5.fc21.x86_64.rpm /home/mukundan/personal/pkgs/reviews/compat-qpid-cpp/1080583-compat-qpid-cpp/results/compat-qpid-cpp-server-rdma-0.24-5.fc21.x86_64.rpm /home/mukundan/personal/pkgs/reviews/compat-qpid-cpp/1080583-compat-qpid-cpp/results/compat-qpid-cpp-server-xml-0.24-5.fc21.x86_64.rpm /home/mukundan/personal/pkgs/reviews/compat-qpid-cpp/1080583-compat-qpid-cpp/results/compat-qpid-cpp-server-store-0.24-5.fc21.x86_64.rpm /home/mukundan/personal/pkgs/reviews/compat-qpid-cpp/1080583-compat-qpid-cpp/results/compat-qpid-tools-0.24-5.fc21.noarch.rpm
ERROR: Command failed: 
 # ['/usr/bin/yum', '--installroot', '/var/lib/mock/fedora-rawhide-x86_64/root/', '--releasever', '21', 'install', '/home/mukundan/personal/pkgs/reviews/compat-qpid-cpp/1080583-compat-qpid-cpp/results/compat-qpid-cpp-0.24-5.fc21.x86_64.rpm', '/home/mukundan/personal/pkgs/reviews/compat-qpid-cpp/1080583-compat-qpid-cpp/results/compat-qpid-cpp-client-0.24-5.fc21.x86_64.rpm', '/home/mukundan/personal/pkgs/reviews/compat-qpid-cpp/1080583-compat-qpid-cpp/results/compat-qpid-cpp-client-devel-0.24-5.fc21.x86_64.rpm', '/home/mukundan/personal/pkgs/reviews/compat-qpid-cpp/1080583-compat-qpid-cpp/results/compat-qpid-cpp-client-devel-docs-0.24-5.fc21.noarch.rpm', '/home/mukundan/personal/pkgs/reviews/compat-qpid-cpp/1080583-compat-qpid-cpp/results/compat-qpid-cpp-server-0.24-5.fc21.x86_64.rpm', '/home/mukundan/personal/pkgs/reviews/compat-qpid-cpp/1080583-compat-qpid-cpp/results/compat-qpid-cpp-server-ha-0.24-5.fc21.x86_64.rpm', '/home/mukundan/personal/pkgs/reviews/compat-qpid-cpp/1080583-compat-qpid-cpp/results/compat-qpid-cpp-client-rdma-0.24-5.fc21.x86_64.rpm', '/home/mukundan/personal/pkgs/reviews/compat-qpid-cpp/1080583-compat-qpid-cpp/results/compat-qpid-cpp-server-rdma-0.24-5.fc21.x86_64.rpm', '/home/mukundan/personal/pkgs/reviews/compat-qpid-cpp/1080583-compat-qpid-cpp/results/compat-qpid-cpp-server-xml-0.24-5.fc21.x86_64.rpm', '/home/mukundan/personal/pkgs/reviews/compat-qpid-cpp/1080583-compat-qpid-cpp/results/compat-qpid-cpp-server-store-0.24-5.fc21.x86_64.rpm', '/home/mukundan/personal/pkgs/reviews/compat-qpid-cpp/1080583-compat-qpid-cpp/results/compat-qpid-tools-0.24-5.fc21.noarch.rpm', '--setopt=tsflags=nocontexts']
No package matched to upgrade: compat-qpid-cpp-client
Error: Package: compat-qpid-cpp-client-devel-0.24-5.fc21.x86_64 (/compat-qpid-cpp-client-devel-0.24-5.fc21.x86_64)
           Requires: qpid-cpp-client(x86-64) = 0.24-5.fc21
           Installing: qpid-cpp-client-0.26-3.fc21.x86_64 (fedora)
               qpid-cpp-client(x86-64) = 0.26-3.fc21
 You could try using --skip-broken to work around the problem
Error: compat-qpid-cpp-client conflicts with qpid-cpp-client-0.26-3.fc21.x86_64
Error: Package: compat-qpid-cpp-client-devel-0.24-5.fc21.x86_64 (/compat-qpid-cpp-client-devel-0.24-5.fc21.x86_64)
           Requires: qpid-cpp-client(x86-64) = 0.24-5.fc21
           Available: qpid-cpp-client-0.26-3.fc21.x86_64 (fedora)
               qpid-cpp-client(x86-64) = 0.26-3.fc21
 You could try running: rpm -Va --nofiles --nodigest



Rpmlint
-------
Checking: compat-qpid-cpp-0.24-5.fc21.x86_64.rpm
          compat-qpid-cpp-client-0.24-5.fc21.x86_64.rpm
          compat-qpid-cpp-client-devel-0.24-5.fc21.x86_64.rpm
          compat-qpid-cpp-client-devel-docs-0.24-5.fc21.noarch.rpm
          compat-qpid-cpp-server-0.24-5.fc21.x86_64.rpm
          compat-qpid-cpp-server-ha-0.24-5.fc21.x86_64.rpm
          compat-qpid-cpp-client-rdma-0.24-5.fc21.x86_64.rpm
          compat-qpid-cpp-server-rdma-0.24-5.fc21.x86_64.rpm
          compat-qpid-cpp-server-xml-0.24-5.fc21.x86_64.rpm
          compat-qpid-cpp-server-store-0.24-5.fc21.x86_64.rpm
          compat-qpid-tools-0.24-5.fc21.noarch.rpm
          compat-qpid-cpp-0.24-5.fc21.src.rpm
compat-qpid-cpp.x86_64: E: no-binary
compat-qpid-cpp.x86_64: W: no-documentation
compat-qpid-cpp.x86_64: W: devel-file-in-non-devel-package /usr/lib64/pkgconfig/qmf2.pc
compat-qpid-cpp-client.x86_64: W: self-obsoletion qpid-cpp-client-ssl <= 0.24 obsoletes qpid-cpp-client-ssl = 0.24
compat-qpid-cpp-client.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libqpidcommon.so
compat-qpid-cpp-client.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libqpidtypes.so
compat-qpid-cpp-client.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libqpidclient.so
compat-qpid-cpp-client.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libqpidmessaging.so
compat-qpid-cpp-client-devel.x86_64: W: no-dependency-on compat-qpid-cpp-client/compat-qpid-cpp-client-libs/libcompat-qpid-cpp-client
compat-qpid-cpp-client-devel.x86_64: W: no-documentation
compat-qpid-cpp-client-devel.x86_64: W: no-manual-page-for-binary qpid-topic-publisher
compat-qpid-cpp-client-devel.x86_64: W: no-manual-page-for-binary qpid-perftest
compat-qpid-cpp-client-devel.x86_64: W: no-manual-page-for-binary qpid-latency-test
compat-qpid-cpp-client-devel.x86_64: W: no-manual-page-for-binary qpid-txtest
compat-qpid-cpp-client-devel.x86_64: W: no-manual-page-for-binary qpid-topic-listener
compat-qpid-cpp-client-devel.x86_64: W: no-manual-page-for-binary qpid-client-test
compat-qpid-cpp-server.x86_64: W: self-obsoletion qpid-cpp-server-ssl <= 0.24 obsoletes qpid-cpp-server-ssl = 0.24
compat-qpid-cpp-server.x86_64: W: conffile-without-noreplace-flag /etc/qpidd.conf
compat-qpid-cpp-server.x86_64: E: postin-without-ldconfig /usr/lib64/libqpidbroker.so.2.0.0
compat-qpid-cpp-server.x86_64: W: non-standard-uid /var/lib/qpidd qpidd
compat-qpid-cpp-server.x86_64: W: non-standard-gid /var/lib/qpidd qpidd
compat-qpid-cpp-server.x86_64: W: non-standard-uid /var/run/qpidd qpidd
compat-qpid-cpp-server.x86_64: W: non-standard-gid /var/run/qpidd qpidd
compat-qpid-cpp-server.x86_64: W: dangerous-command-in-%post ln
compat-qpid-cpp-server.x86_64: W: dangerous-command-in-%postun ln
compat-qpid-cpp-server-ha.x86_64: W: no-documentation
compat-qpid-cpp-server-ha.x86_64: W: no-manual-page-for-binary qpid-ha
compat-qpid-cpp-server-ha.x86_64: E: subsys-not-used /etc/rc.d/init.d/qpidd-primary
compat-qpid-cpp-server-ha.x86_64: W: incoherent-init-script-name qpidd-primary ('compat-qpid-cpp-server-ha', 'compat-qpid-cpp-server-had')
compat-qpid-cpp-client-rdma.x86_64: W: no-documentation
compat-qpid-cpp-client-rdma.x86_64: W: devel-file-in-non-devel-package /usr/lib64/librdmawrap.so
compat-qpid-cpp-server-rdma.x86_64: W: no-documentation
compat-qpid-cpp-server-xml.x86_64: W: no-documentation
compat-qpid-cpp-server-store.x86_64: W: spelling-error %description -l en_US libaio -> libation
compat-qpid-cpp-server-store.x86_64: W: only-non-binary-in-usr-lib
compat-qpid-cpp-server-store.x86_64: W: no-documentation
compat-qpid-cpp-server-store.x86_64: W: dangling-relative-symlink /usr/lib64/qpid/daemon/store.so store.so.0.24
compat-qpid-tools.noarch: W: devel-file-in-non-devel-package /usr/bin/qpid-config
compat-qpid-tools.noarch: W: no-manual-page-for-binary qpid-config
compat-qpid-tools.noarch: W: no-manual-page-for-binary qpid-route
compat-qpid-tools.noarch: W: no-manual-page-for-binary qpid-cluster-store
compat-qpid-tools.noarch: W: no-manual-page-for-binary qpid-cluster
compat-qpid-tools.noarch: W: no-manual-page-for-binary qpid-tool
compat-qpid-tools.noarch: W: no-manual-page-for-binary qpid-stat
compat-qpid-tools.noarch: W: no-manual-page-for-binary qpid-queue-stats
compat-qpid-tools.noarch: W: no-manual-page-for-binary qpid-printevents
compat-qpid-cpp.src:105: W: macro-in-comment %doc
compat-qpid-cpp.src:174: W: macro-in-comment %{_datadir}
compat-qpid-cpp.src:230: W: macro-in-comment %attr
compat-qpid-cpp.src:230: W: macro-in-comment %config
compat-qpid-cpp.src:230: W: macro-in-comment %{_localstatedir}
compat-qpid-cpp.src: E: specfile-error -e:1:in `<main>': Use RbConfig instead of obsolete and deprecated Config.
compat-qpid-cpp.src: E: specfile-error -e:1:in `<main>': Use RbConfig instead of obsolete and deprecated Config.
compat-qpid-cpp.src: E: specfile-error -e:1:in `<main>': Use RbConfig instead of obsolete and deprecated Config.
compat-qpid-cpp.src: E: specfile-error -e:1:in `<main>': Use RbConfig instead of obsolete and deprecated Config.
12 packages and 0 specfiles checked; 7 errors, 48 warnings.




Requires
--------
compat-qpid-cpp (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    /usr/bin/pkg-config
    pkgconfig(qpid)

compat-qpid-cpp-client (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    boost
    chkconfig
    config(compat-qpid-cpp-client)
    initscripts
    ld-linux-x86-64.so.2()(64bit)
    libboost_program_options.so.1.54.0()(64bit)
    libboost_system.so.1.54.0()(64bit)
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_4.0.0)(64bit)
    libm.so.6()(64bit)
    libnspr4.so()(64bit)
    libnss3.so()(64bit)
    libnss3.so(NSS_3.2)(64bit)
    libnssutil3.so()(64bit)
    libplc4.so()(64bit)
    libplds4.so()(64bit)
    libpthread.so.0()(64bit)
    libqpidclient.so.2()(64bit)
    libqpidcommon.so.2()(64bit)
    libqpidmessaging.so.2()(64bit)
    libqpidtypes.so.1()(64bit)
    librt.so.1()(64bit)
    libsasl2.so.3()(64bit)
    libsmime3.so()(64bit)
    libssl3.so()(64bit)
    libssl3.so(NSS_3.2)(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libuuid.so.1()(64bit)
    libuuid.so.1(UUID_1.0)(64bit)
    qpid-proton-c(x86-64)
    rtld(GNU_HASH)

compat-qpid-cpp-client-devel-docs (rpmlib, GLIBC filtered):

compat-qpid-cpp-server-ha (rpmlib, GLIBC filtered):
    /bin/bash
    /bin/sh
    /usr/bin/python
    compat-qpid-cpp-server(x86-64)
    libboost_program_options.so.1.54.0()(64bit)
    libboost_system.so.1.54.0()(64bit)
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libqpidbroker.so.2()(64bit)
    libqpidclient.so.2()(64bit)
    libqpidcommon.so.2()(64bit)
    libqpidmessaging.so.2()(64bit)
    libqpidtypes.so.1()(64bit)
    librt.so.1()(64bit)
    libsasl2.so.3()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libuuid.so.1()(64bit)
    qpid-qmf(x86-64)
    rtld(GNU_HASH)

compat-qpid-cpp-client-devel (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    /usr/bin/env
    /usr/bin/pkg-config
    boost-devel
    boost-filesystem
    boost-program-options
    libboost_program_options.so.1.54.0()(64bit)
    libboost_system.so.1.54.0()(64bit)
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_4.0.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libqpidclient.so.2()(64bit)
    libqpidcommon.so.2()(64bit)
    libqpidmessaging.so.2()(64bit)
    libqpidtypes.so.1()(64bit)
    librt.so.1()(64bit)
    libsasl2.so.3()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libuuid-devel
    libuuid.so.1()(64bit)
    python
    qpid-cpp-client(x86-64)
    rtld(GNU_HASH)

compat-qpid-cpp-client-rdma (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    compat-qpid-cpp-client(x86-64)
    config(compat-qpid-cpp-client-rdma)
    ld-linux-x86-64.so.2()(64bit)
    libboost_program_options.so.1.54.0()(64bit)
    libboost_system.so.1.54.0()(64bit)
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libibverbs.so.1()(64bit)
    libibverbs.so.1(IBVERBS_1.0)(64bit)
    libibverbs.so.1(IBVERBS_1.1)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libqpidclient.so.2()(64bit)
    libqpidcommon.so.2()(64bit)
    libqpidtypes.so.1()(64bit)
    librdmacm.so.1()(64bit)
    librdmacm.so.1(RDMACM_1.0)(64bit)
    librdmawrap.so.2()(64bit)
    librt.so.1()(64bit)
    libsasl2.so.3()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libuuid.so.1()(64bit)
    rtld(GNU_HASH)

compat-qpid-cpp-server-store (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    compat-qpid-cpp-server(x86-64)
    db4

compat-qpid-cpp-server-rdma (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    compat-qpid-cpp-client-rdma(x86-64)
    compat-qpid-cpp-server(x86-64)
    libboost_program_options.so.1.54.0()(64bit)
    libboost_system.so.1.54.0()(64bit)
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libibverbs.so.1()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libqpidbroker.so.2()(64bit)
    libqpidcommon.so.2()(64bit)
    libqpidtypes.so.1()(64bit)
    librdmacm.so.1()(64bit)
    librdmawrap.so.2()(64bit)
    librt.so.1()(64bit)
    libsasl2.so.3()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libuuid.so.1()(64bit)
    rtld(GNU_HASH)

compat-qpid-cpp-server-xml (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    compat-qpid-cpp-server(x86-64)
    libboost_program_options.so.1.54.0()(64bit)
    libboost_system.so.1.54.0()(64bit)
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libqpidbroker.so.2()(64bit)
    libqpidcommon.so.2()(64bit)
    libqpidtypes.so.1()(64bit)
    librt.so.1()(64bit)
    libsasl2.so.3()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libuuid.so.1()(64bit)
    libxerces-c-3.1.so()(64bit)
    libxqilla.so.6()(64bit)
    rtld(GNU_HASH)
    xerces-c
    xqilla

compat-qpid-tools (rpmlib, GLIBC filtered):
    /usr/bin/python
    python-qpid
    python-qpid-qmf

compat-qpid-cpp-server (rpmlib, GLIBC filtered):
    /bin/sh
    compat-qpid-cpp-client(x86-64)
    config(compat-qpid-cpp-server)
    cyrus-sasl
    ld-linux-x86-64.so.2()(64bit)
    libaio.so.1()(64bit)
    libaio.so.1(LIBAIO_0.1)(64bit)
    libaio.so.1(LIBAIO_0.4)(64bit)
    libboost_program_options.so.1.54.0()(64bit)
    libboost_system.so.1.54.0()(64bit)
    libc.so.6()(64bit)
    libdb_cxx-4.8.so()(64bit)
    libdl.so.2()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_4.0.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libqpidbroker.so.2()(64bit)
    libqpidclient.so.2()(64bit)
    libqpidcommon.so.2()(64bit)
    libqpidmessaging.so.2()(64bit)
    libqpidtypes.so.1()(64bit)
    librt.so.1()(64bit)
    libsasl2.so.3()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libuuid.so.1()(64bit)
    libuuid.so.1(UUID_1.0)(64bit)
    libxerces-c-3.1.so()(64bit)
    libxqilla.so.6()(64bit)
    qpid-proton-c(x86-64)
    rtld(GNU_HASH)
    systemd-units



Provides
--------
compat-qpid-cpp:
    compat-qpid-cpp
    compat-qpid-cpp(x86-64)
    pkgconfig(qmf2)

compat-qpid-cpp-client:
    compat-qpid-cpp-client
    compat-qpid-cpp-client(x86-64)
    config(compat-qpid-cpp-client)
    libqpidclient.so.2()(64bit)
    libqpidcommon.so.2()(64bit)
    libqpidmessaging.so.2()(64bit)
    libqpidtypes.so.1()(64bit)
    qpid-cpp-client-ssl

compat-qpid-cpp-client-devel-docs:
    compat-qpid-cpp-client-devel-docs

compat-qpid-cpp-server-ha:
    compat-qpid-cpp-server-ha
    compat-qpid-cpp-server-ha(x86-64)

compat-qpid-cpp-client-devel:
    compat-qpid-cpp-client-devel
    compat-qpid-cpp-client-devel(x86-64)
    pkgconfig(qpid)

compat-qpid-cpp-client-rdma:
    compat-qpid-cpp-client-rdma
    compat-qpid-cpp-client-rdma(x86-64)
    config(compat-qpid-cpp-client-rdma)
    librdmawrap.so.2()(64bit)

compat-qpid-cpp-server-store:
    compat-qpid-cpp-server-store
    compat-qpid-cpp-server-store(x86-64)

compat-qpid-cpp-server-rdma:
    compat-qpid-cpp-server-rdma
    compat-qpid-cpp-server-rdma(x86-64)

compat-qpid-cpp-server-xml:
    compat-qpid-cpp-server-xml
    compat-qpid-cpp-server-xml(x86-64)

compat-qpid-tools:
    compat-qpid-tools

compat-qpid-cpp-server:
    compat-qpid-cpp-server
    compat-qpid-cpp-server(x86-64)
    config(compat-qpid-cpp-server)
    libqpidbroker.so.2()(64bit)
    qpid-cpp-server-ssl



Unversioned so-files
--------------------
compat-qpid-cpp-client: /usr/lib64/libqpidclient.so
compat-qpid-cpp-client: /usr/lib64/libqpidcommon.so
compat-qpid-cpp-client: /usr/lib64/libqpidmessaging.so
compat-qpid-cpp-client: /usr/lib64/libqpidtypes.so
compat-qpid-cpp-server: /usr/lib64/qpid/daemon/ha.so
compat-qpid-cpp-server: /usr/lib64/qpid/daemon/legacystore.so
compat-qpid-cpp-server: /usr/lib64/qpid/daemon/store.so
compat-qpid-cpp-server: /usr/lib64/qpid/daemon/xml.so
compat-qpid-cpp-server-ha: /usr/lib64/qpid/daemon/ha.so
compat-qpid-cpp-client-rdma: /usr/lib64/librdmawrap.so
compat-qpid-cpp-client-rdma: /usr/lib64/qpid/client/rdmaconnector.so
compat-qpid-cpp-server-rdma: /usr/lib64/qpid/daemon/rdma.so
compat-qpid-cpp-server-xml: /usr/lib64/qpid/daemon/xml.so
compat-qpid-cpp-server-store: /usr/lib64/qpid/daemon/store.so

Source checksums
----------------
http://www.apache.org/dist/qpid/0.24/qpid-0.24.tar.gz :
  CHECKSUM(SHA256) this package     : af62a8f551f3f9eb99d460f7fc417bba8d9900b9d6cf0902fc7e01a25d8c8fcd
  CHECKSUM(SHA256) upstream package : af62a8f551f3f9eb99d460f7fc417bba8d9900b9d6cf0902fc7e01a25d8c8fcd


AutoTools: Obsoleted m4s found
------------------------------
  AC_PROG_LIBTOOL found in: qpid-0.24/extras/sasl/configure.ac:102,
  qpid-0.24/cpp/configure.ac:128


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1080583
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 13 Mukundan Ragavan 2014-05-12 14:47:53 UTC
To go through the remaining issues, 


- Development (unversioned) .so files in -devel subpackage, if present.
  Note: Unversioned so-files directly in %_libdir.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages

Unversioned so-files
--------------------
compat-qpid-cpp-client: /usr/lib64/libqpidclient.so
compat-qpid-cpp-client: /usr/lib64/libqpidcommon.so
compat-qpid-cpp-client: /usr/lib64/libqpidmessaging.so
compat-qpid-cpp-client: /usr/lib64/libqpidtypes.so
compat-qpid-cpp-server: /usr/lib64/qpid/daemon/ha.so
compat-qpid-cpp-server: /usr/lib64/qpid/daemon/legacystore.so
compat-qpid-cpp-server: /usr/lib64/qpid/daemon/store.so
compat-qpid-cpp-server: /usr/lib64/qpid/daemon/xml.so
compat-qpid-cpp-server-ha: /usr/lib64/qpid/daemon/ha.so
compat-qpid-cpp-client-rdma: /usr/lib64/librdmawrap.so
compat-qpid-cpp-client-rdma: /usr/lib64/qpid/client/rdmaconnector.so
compat-qpid-cpp-server-rdma: /usr/lib64/qpid/daemon/rdma.so
compat-qpid-cpp-server-xml: /usr/lib64/qpid/daemon/xml.so
compat-qpid-cpp-server-store: /usr/lib64/qpid/daemon/store.so


- ldconfig called in %post and %postun if required.
  Note: /sbin/ldconfig not called in compat-qpid-cpp-server
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Shared_Libraries

Related rpmlint error - 

compat-qpid-cpp-server.x86_64: E: postin-without-ldconfig /usr/lib64/libqpidbroker.so.2.0.0


[?]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %{!?python_sitearch: %define
     python_sitearch %(%{__python} -c "from distutils.sysconfig import
     get_python_lib; print get_python_lib(1)")}

Why %define here?

compat-qpid-cpp.src: E: specfile-error -e:1:in `<main>': Use RbConfig instead of obsolete and deprecated Config.
compat-qpid-cpp.src: E: specfile-error -e:1:in `<main>': Use RbConfig instead of obsolete and deprecated Config.
compat-qpid-cpp.src: E: specfile-error -e:1:in `<main>': Use RbConfig instead of obsolete and deprecated Config.
compat-qpid-cpp.src: E: specfile-error -e:1:in `<main>': Use RbConfig instead of obsolete and deprecated Config.

Comment 14 Mukundan Ragavan 2014-05-12 14:54:13 UTC
I started making some changes to specfile to address some of the fedora-review "complaints" - 

$ diff -Nur compat-qpid-cpp.spec compat-qpid-cpp-ed.spec 
--- compat-qpid-cpp.spec	2014-05-02 08:46:40.000000000 -0500
+++ compat-qpid-cpp-ed.spec	2014-05-12 09:27:48.000000000 -0500
@@ -7,8 +7,8 @@
 %{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
 
 # The following macros are no longer used for installation but only for cleanup
-%{!?ruby_sitelib: %global ruby_sitelib %(/usr/bin/ruby -rrbconfig  -e 'puts Config::CONFIG["sitelibdir"] ')}
-%{!?ruby_sitearch: %global ruby_sitearch %(/usr/bin/ruby -rrbconfig -e 'puts Config::CONFIG["sitearchdir"] ')}
+%{!?ruby_sitelib: %global ruby_sitelib %(/usr/bin/ruby -rrbconfig  -e 'puts RbConfig::CONFIG["sitelibdir"] ')}
+%{!?ruby_sitearch: %global ruby_sitearch %(/usr/bin/ruby -rrbconfig -e 'puts RbConfig::CONFIG["sitearchdir"] ')}
 
 # LIBRARY VERSIONS
 %global QPIDCOMMON_VERSION_INFO             5:0:0
@@ -21,7 +21,7 @@
 
 Name:          compat-qpid-cpp
 Version:       0.24
-Release:       5%{?dist}
+Release:       6%{?dist}
 Summary:       Libraries for Qpid C++ client applications
 License:       ASL 2.0
 URL:           http://qpid.apache.org
@@ -107,11 +107,15 @@
 %doc cpp/NOTICE
 %doc cpp/README.txt
 %doc cpp/RELEASE_NOTES
-%{_libdir}/libqpidcommon.so*
-%{_libdir}/libqpidclient.so*
-%{_libdir}/libqpidtypes.so*
-%{_libdir}/libqpidmessaging.so*
-%dir %{_libdir}/qpid
+%{_libdir}/libqpidcommon.so.2
+%{_libdir}/libqpidcommon.so.2.0.0
+%{_libdir}/libqpidclient.so.2
+%{_libdir}/libqpidclient.so.2.0.0
+%{_libdir}/libqpidtypes.so.1
+%{_libdir}/libqpidtypes.so.1.0.0
+%{_libdir}/libqpidmessaging.so.2
+%{_libdir}/libqpidmessaging.so.2.0.0

Comment 15 Darryl L. Pierce 2014-05-12 19:03:37 UTC
(In reply to Mukundan Ragavan from comment #13)
> To go through the remaining issues, 
> 
> 
> - Development (unversioned) .so files in -devel subpackage, if present.
>   Note: Unversioned so-files directly in %_libdir.
>   See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages

Fixed
 
> - ldconfig called in %post and %postun if required.
>   Note: /sbin/ldconfig not called in compat-qpid-cpp-server
>   See: http://fedoraproject.org/wiki/Packaging/Guidelines#Shared_Libraries
> 
> Related rpmlint error - 
> 
> compat-qpid-cpp-server.x86_64: E: postin-without-ldconfig
> /usr/lib64/libqpidbroker.so.2.0.0

Fixed.

> [?]: Spec use %global instead of %define unless justified.
>      Note: %define requiring justification: %{!?python_sitearch: %define
>      python_sitearch %(%{__python} -c "from distutils.sysconfig import
>      get_python_lib; print get_python_lib(1)")}
> 
> Why %define here?

That was missed when others were replaced. I've fixed it now.

> 
> compat-qpid-cpp.src: E: specfile-error -e:1:in `<main>': Use RbConfig
> instead of obsolete and deprecated Config.
> compat-qpid-cpp.src: E: specfile-error -e:1:in `<main>': Use RbConfig
> instead of obsolete and deprecated Config.
> compat-qpid-cpp.src: E: specfile-error -e:1:in `<main>': Use RbConfig
> instead of obsolete and deprecated Config.
> compat-qpid-cpp.src: E: specfile-error -e:1:in `<main>': Use RbConfig
> instead of obsolete and deprecated Config.

Fixed.

Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6843052
Updated spec:  http://mcpierce.fedorapeople.org/rpms/compat-qpid-cpp.spec
Updated SRPM:  http://mcpierce.fedorapeople.org/rpms/compat-qpid-cpp-0.24-6.fc20.src.rpm

Comment 16 Mukundan Ragavan 2014-05-13 13:21:12 UTC
Hi Darryl, 

You might have missed the RbConfig part in the spec file. 

Also, could you also take a look at these as well please?

[!]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/libexec/qpid, /usr/lib64/qpid/client
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/libexec/qpid,
     /usr/lib64/qpid, /usr/lib64/qpid/client, /etc/rc.d, /etc/rc.d/init.d,
     /usr/lib64/qpid/daemon

compat-qpid-cpp-client.x86_64: W: self-obsoletion qpid-cpp-client-ssl <= 0.24 obsoletes qpid-cpp-client-ssl = 0.24

compat-qpid-cpp-server-ha.x86_64: E: subsys-not-used /etc/rc.d/init.d/qpidd-primary

compat-qpid-cpp-server-ha.x86_64: W: incoherent-init-script-name qpidd-primary ('compat-qpid-cpp-server-ha', 'compat-qpid-cpp-server-had')

As far as I can tell, we are close to getting this done ... Thanks!

Comment 17 Darryl L. Pierce 2014-05-13 15:02:36 UTC
(In reply to Mukundan Ragavan from comment #16)
> Hi Darryl, 
> 
> You might have missed the RbConfig part in the spec file. 
> 
> Also, could you also take a look at these as well please?
> 
> [!]: Package requires other packages for directories it uses.
>      Note: No known owner of /usr/libexec/qpid, /usr/lib64/qpid/client
> [!]: Package must own all directories that it creates.
>      Note: Directories without known owners: /usr/libexec/qpid,
>      /usr/lib64/qpid, /usr/lib64/qpid/client, /etc/rc.d, /etc/rc.d/init.d,
>      /usr/lib64/qpid/daemon
> 
> compat-qpid-cpp-client.x86_64: W: self-obsoletion qpid-cpp-client-ssl <=
> 0.24 obsoletes qpid-cpp-client-ssl = 0.24
> 
> compat-qpid-cpp-server-ha.x86_64: E: subsys-not-used
> /etc/rc.d/init.d/qpidd-primary
> 
> compat-qpid-cpp-server-ha.x86_64: W: incoherent-init-script-name
> qpidd-primary ('compat-qpid-cpp-server-ha', 'compat-qpid-cpp-server-had')

This is a non-issue: -ha is an acronym for "high availability".

> 
> As far as I can tell, we are close to getting this done ... Thanks!

No, my bad -- if you look the specfile there wasn't the updated one with release 6. I forgot to upload the update. It addresses the issues.

That said, I've bumped the release to fix the above to directory problems. I can't have compat-qpid-cpp own directories like /etc/rc.d/init.d or /etc/rc.d so I'm not going to make this own them. The obsoletions were fixed in 6 as well.

Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6846099
Updated spec:  http://mcpierce.fedorapeople.org/rpms/compat-qpid-cpp.spec
Updated SRPM:  http://mcpierce.fedorapeople.org/rpms/compat-qpid-cpp-0.24-7.fc20.src.rpm

Comment 18 Mukundan Ragavan 2014-05-13 23:10:42 UTC
---> obsoletes fixed.

* $ rpmls compat-qpid-cpp-client-0.24-7.fc21.x86_64.rpm

[ ... ]
-rwxr-xr-x  /usr/lib64/libqpidtypes.so.1.0.0
drwxr-xr-x  /usr/lib64/qpid
drwxr-xr-x  /usr/lib64/qpid/client
drwxr-xr-x  /usr/share/doc/compat-qpid-cpp-client
-rw-r--r--  /usr/share/doc/compat-qpid-cpp-client/DESIGN
[ ... ]

---> So, qpid directories ownerships are fine.

---> -ha issue seems reasonable to me.

* compat-qpid-cpp-server-store.x86_64: W: dangling-relative-symlink /usr/lib64/qpid/daemon/store.so store.so.0.24

---> store.so.0.24 is part of server which is a dependency. So, this is fine.

====================================================

Could you please clarify the following - 

* compat-qpid-cpp-server-ha.x86_64: E: subsys-not-used /etc/rc.d/init.d/qpidd-primary

No lock file?

* Lastly, there is this unversioned -so files not in a devel package.

Unversioned so-files
--------------------
compat-qpid-cpp-server: /usr/lib64/qpid/daemon/ha.so
compat-qpid-cpp-server: /usr/lib64/qpid/daemon/legacystore.so
compat-qpid-cpp-server: /usr/lib64/qpid/daemon/store.so
compat-qpid-cpp-server: /usr/lib64/qpid/daemon/xml.so
compat-qpid-cpp-server-ha: /usr/lib64/qpid/daemon/ha.so
compat-qpid-cpp-client-rdma: /usr/lib64/librdmawrap.so
compat-qpid-cpp-client-rdma: /usr/lib64/qpid/client/rdmaconnector.so
compat-qpid-cpp-server-rdma: /usr/lib64/qpid/daemon/rdma.so
compat-qpid-cpp-server-xml: /usr/lib64/qpid/daemon/xml.so
compat-qpid-cpp-server-store: /usr/lib64/qpid/daemon/store.so


From the guidelines (https://fedoraproject.org/wiki/Packaging:Guidelines?rd=Packaging/Guidelines#DevelPackages),
"When a shared library file is only provided in an unversioned format, the packager should ask upstream to consider providing a properly versioned library file. However, in such cases, if the shared library file is necessary for users to run programs linked against it, it must go into the base package."

Comment 19 Darryl L. Pierce 2014-05-14 12:45:39 UTC
(In reply to Mukundan Ragavan from comment #18)
> ---> obsoletes fixed.
> 
> * $ rpmls compat-qpid-cpp-client-0.24-7.fc21.x86_64.rpm
> 
> [ ... ]
> -rwxr-xr-x  /usr/lib64/libqpidtypes.so.1.0.0
> drwxr-xr-x  /usr/lib64/qpid
> drwxr-xr-x  /usr/lib64/qpid/client
> drwxr-xr-x  /usr/share/doc/compat-qpid-cpp-client
> -rw-r--r--  /usr/share/doc/compat-qpid-cpp-client/DESIGN
> [ ... ]
> 
> ---> So, qpid directories ownerships are fine.
> 
> ---> -ha issue seems reasonable to me.
> 
> * compat-qpid-cpp-server-store.x86_64: W: dangling-relative-symlink
> /usr/lib64/qpid/daemon/store.so store.so.0.24
> 
> ---> store.so.0.24 is part of server which is a dependency. So, this is fine.
> 
> ====================================================
> 
> Could you please clarify the following - 
> 
> * compat-qpid-cpp-server-ha.x86_64: E: subsys-not-used
> /etc/rc.d/init.d/qpidd-primary
> 
> No lock file?

The file uses the same lockfile as /etc/rc.d/init.d/qpidd. This particular script is for starting up the primary broker in a cluster, so you can't run both it and qpidd at the same time. Hence the single lock file between them.

> * Lastly, there is this unversioned -so files not in a devel package.
> 
> Unversioned so-files
> --------------------
> compat-qpid-cpp-server: /usr/lib64/qpid/daemon/ha.so
> compat-qpid-cpp-server: /usr/lib64/qpid/daemon/legacystore.so
> compat-qpid-cpp-server: /usr/lib64/qpid/daemon/store.so
> compat-qpid-cpp-server: /usr/lib64/qpid/daemon/xml.so
> compat-qpid-cpp-server-ha: /usr/lib64/qpid/daemon/ha.so
> compat-qpid-cpp-client-rdma: /usr/lib64/librdmawrap.so
> compat-qpid-cpp-client-rdma: /usr/lib64/qpid/client/rdmaconnector.so
> compat-qpid-cpp-server-rdma: /usr/lib64/qpid/daemon/rdma.so
> compat-qpid-cpp-server-xml: /usr/lib64/qpid/daemon/xml.so
> compat-qpid-cpp-server-store: /usr/lib64/qpid/daemon/store.so

They're not development libraries (which is why they're not public) but are plugins to for the broker and the client libraries. That's why they all live in the qpid subdirectory (except rdmawrap, which should be in the qpid directory, so I'll file a bug upstream to fix that install location).

Comment 20 Mukundan Ragavan 2014-05-14 15:41:14 UTC
That sounds fine to me. 

I was able to install most of the packages quite fine except compat-qpid-cpp-client-devel, compat-qpid-cpp-server-ha and compat-qpid-tools because of conflicts.

For client-devel,

%package client-devel
Conflicts: qpid-cpp-client-devel
Summary:   Header files, documentation and testing tools for developing Qpid C++ clients

Requires:  qpid-cpp-client%{?_isa} = %{version}-%{release}

This should be compat-qpid-cpp-client, I think.

-server-ha and -tools both have dependency on qpid-qmf which pulls in qpid* and conflicts. :(

Other than these two(or three?), I have no more issues and can approve the package pending these.

Comment 21 Darryl L. Pierce 2014-05-14 20:35:44 UTC
(In reply to Mukundan Ragavan from comment #20)
> That sounds fine to me. 
> 
> I was able to install most of the packages quite fine except
> compat-qpid-cpp-client-devel, compat-qpid-cpp-server-ha and
> compat-qpid-tools because of conflicts.
> 
> For client-devel,
> 
> %package client-devel
> Conflicts: qpid-cpp-client-devel
> Summary:   Header files, documentation and testing tools for developing Qpid
> C++ clients
> 
> Requires:  qpid-cpp-client%{?_isa} = %{version}-%{release}
> 
> This should be compat-qpid-cpp-client, I think.
> 
> -server-ha and -tools both have dependency on qpid-qmf which pulls in qpid*
> and conflicts. :(
> 
> Other than these two(or three?), I have no more issues and can approve the
> package pending these.

Excellent, thank you! I fixed those packages by marking them as providing the qpid-cpp-* package with which they conflict and then verified that such would work.

Comment 23 Mukundan Ragavan 2014-05-14 22:38:30 UTC
---> client-devel is fixed. looks good here.

But qpid-qmf pulls in qpid-cpp-client from the repos, conflicts with compat-* (as expected) and does not install. :(

---> Package python-qpid.noarch 0:0.24-1.fc20 will be installed
--> Processing Dependency: python-qpid-common = 0.24-1.fc20 for package: python-qpid-0.24-1.fc20.noarch
---> Package python-qpid-qmf.x86_64 0:0.24-17.fc20 will be installed
---> Package qpid-cpp-client.x86_64 0:0.26-3.fc20 will be installed
--> Running transaction check
---> Package python-qpid-common.noarch 0:0.24-1.fc20 will be installed
--> Processing Conflict: compat-qpid-cpp-client-0.24-8.fc20.x86_64 conflicts qpid-cpp-client
No package matched to upgrade: compat-qpid-cpp-client
--> Finished Dependency Resolution
Error: compat-qpid-cpp-client conflicts with qpid-cpp-client-0.26-3.fc20.x86_64


Or, am I doing something wrong here?

Comment 24 Darryl L. Pierce 2014-05-15 12:05:55 UTC
(In reply to Mukundan Ragavan from comment #23)
> ---> client-devel is fixed. looks good here.
> 
> But qpid-qmf pulls in qpid-cpp-client from the repos, conflicts with
> compat-* (as expected) and does not install. :(
> 
> ---> Package python-qpid.noarch 0:0.24-1.fc20 will be installed
> --> Processing Dependency: python-qpid-common = 0.24-1.fc20 for package:
> python-qpid-0.24-1.fc20.noarch
> ---> Package python-qpid-qmf.x86_64 0:0.24-17.fc20 will be installed
> ---> Package qpid-cpp-client.x86_64 0:0.26-3.fc20 will be installed
> --> Running transaction check
> ---> Package python-qpid-common.noarch 0:0.24-1.fc20 will be installed
> --> Processing Conflict: compat-qpid-cpp-client-0.24-8.fc20.x86_64 conflicts
> qpid-cpp-client
> No package matched to upgrade: compat-qpid-cpp-client
> --> Finished Dependency Resolution
> Error: compat-qpid-cpp-client conflicts with
> qpid-cpp-client-0.26-3.fc20.x86_64
> 
> 
> Or, am I doing something wrong here?

Yes. By default yum will seek out the package named X when trying to fulfill that requirement. But if Y provides X (such as in this case where compat-qpid-cpp-client devel provides the required qpid-cpp-client-devel) then you need to explicitly install it so that yum doesn't try to install X.

So, in this case, you would have to install compat-qpid-cpp-client and compat-qpid-cpp-client-devel and not have qpid-cpp-client installed.


^_^ [J:0/1295] mcpierce@mcpierce-laptop:Desktop $ sudo yum install ./compat-qpid-cpp-client-devel-0.24-8.fc20.x86_64.rpm ./compat-qpid-cpp-client-0.24-8.fc20.x86_64.rpm python-qpid 
Loaded plugins: langpacks, refresh-packagekit
Examining ./compat-qpid-cpp-client-devel-0.24-8.fc20.x86_64.rpm: compat-qpid-cpp-client-devel-0.24-8.fc20.x86_64
Marking ./compat-qpid-cpp-client-devel-0.24-8.fc20.x86_64.rpm to be installed
Examining ./compat-qpid-cpp-client-0.24-8.fc20.x86_64.rpm: compat-qpid-cpp-client-0.24-8.fc20.x86_64
Marking ./compat-qpid-cpp-client-0.24-8.fc20.x86_64.rpm to be installed
bluejeans                                                                                      | 2.9 kB  00:00:00     
google-chrome                                                                                  |  951 B  00:00:00     
google-talkplugin                                                                              |  951 B  00:00:00     
rpmfusion-free-updates                                                                         | 3.3 kB  00:00:00     
rpmfusion-nonfree-updates                                                                      | 3.3 kB  00:00:00     
updates/20/x86_64/metalink                                                                     |  17 kB  00:00:00     
updates                                                                                        | 4.9 kB  00:00:00     
updates/20/x86_64/primary_db                                                                   |  10 MB  00:00:00     
(1/2): updates/20/x86_64/updateinfo                                                            | 1.1 MB  00:00:00     
(2/2): updates/20/x86_64/pkgtags                                                               | 1.0 MB  00:00:00     
Resolving Dependencies
--> Running transaction check
---> Package compat-qpid-cpp-client.x86_64 0:0.24-8.fc20 will be installed
--> Processing Dependency: qpid-proton-c(x86-64) >= 0.5 for package: compat-qpid-cpp-client-0.24-8.fc20.x86_64
---> Package compat-qpid-cpp-client-devel.x86_64 0:0.24-8.fc20 will be installed
---> Package python-qpid.noarch 0:0.24-1.fc20 will be installed
--> Processing Dependency: python-qpid-common = 0.24-1.fc20 for package: python-qpid-0.24-1.fc20.noarch
--> Running transaction check
---> Package python-qpid-common.noarch 0:0.24-1.fc20 will be installed
---> Package qpid-proton-c.x86_64 0:0.7-1.fc20 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

======================================================================================================================
 Package                         Arch      Version          Repository                                           Size
======================================================================================================================
Installing:
 compat-qpid-cpp-client          x86_64    0.24-8.fc20      /compat-qpid-cpp-client-0.24-8.fc20.x86_64          4.0 M
 compat-qpid-cpp-client-devel    x86_64    0.24-8.fc20      /compat-qpid-cpp-client-devel-0.24-8.fc20.x86_64    2.6 M
 python-qpid                     noarch    0.24-1.fc20      fedora                                              241 k
Installing for dependencies:
 python-qpid-common              noarch    0.24-1.fc20      fedora                                              202 k
 qpid-proton-c                   x86_64    0.7-1.fc20       updates                                             126 k

Transaction Summary
======================================================================================================================
Install  3 Packages (+2 Dependent packages)

Total size: 7.2 M
Total download size: 568 k
Installed size: 9.1 M
Is this ok [y/d/N]:

Comment 25 Darryl L. Pierce 2014-05-15 12:14:54 UTC
Wait, sorry, I see my misunderstanding and the right path to fix it. I thought that "Provides: qpid-cpp-client" in this case would work but, since there is still an existing package with that name, it doesn't work as I had expected.

What I will do is file a BZ (BZ#1098154) to have this fixed in a subsequent update to qpid-cpp and compat-qpid-cpp.

Comment 26 Mukundan Ragavan 2014-05-15 14:57:52 UTC
(In reply to Darryl L. Pierce from comment #25)
> Wait, sorry, I see my misunderstanding and the right path to fix it. I
> thought that "Provides: qpid-cpp-client" in this case would work but, since
> there is still an existing package with that name, it doesn't work as I had
> expected.

Yup! That's what I meant to point out. Sorry for not being clearer.

> 
> What I will do is file a BZ (BZ#1098154) to have this fixed in a subsequent
> update to qpid-cpp and compat-qpid-cpp.

Alright! That should fix the install issue. But, -server-ha and -tools only are not going to be installable till 1098154 is dealt with.

I don't think I have any other issues. 

Do you know when you get a chance to update the other package so that we can perhaps check if there are issues with the compat-qpid*?

Comment 27 Darryl L. Pierce 2014-05-15 17:20:09 UTC
I'll update them within the next few days.

Comment 28 Mukundan Ragavan 2014-05-20 14:52:08 UTC
Hi Darryl, I saw the updates to the packages. Let me install those and make sure everything looks good from my end.

Comment 29 Darryl L. Pierce 2014-05-21 12:04:58 UTC
(In reply to Mukundan Ragavan from comment #28)
> Hi Darryl, I saw the updates to the packages. Let me install those and make
> sure everything looks good from my end.

Here's an updated scratch build that uses the above:

Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6870450
Spec:  http://mcpierce.fedorapeople.org/rpms/compat-qpid-cpp.spec
SRPM:  http://mcpierce.fedorapeople.org/rpms/compat-qpid-cpp-0.24-9.fc20.src.rpm

Comment 30 Mukundan Ragavan 2014-05-21 15:24:39 UTC
Cannot install -server-ha and -tools. It's qpid-qmf dependency that needs to be worked out here, as I understand it.

Here is what I tried

# yum install compat-qpid-tools-0.24-9.fc19.noarch.rpm compat-qpid-cpp-server-ha-0.24-9.fc19.x86_64.rpm python-qpid-qmf-0.24-18.fc19.x86_64.rpm qpid-qmf-0.24-18.fc19.x86_64.rpm qpid-cpp-client-0.24-9.fc19.x86_64.rpm qpid-cpp-client-devel-0.24-9.fc19.x86_64.rpm

Loaded plugins: langpacks, refresh-packagekit
Examining compat-qpid-tools-0.24-9.fc19.noarch.rpm: compat-qpid-tools-0.24-9.fc19.noarch
Marking compat-qpid-tools-0.24-9.fc19.noarch.rpm to be installed
Examining compat-qpid-cpp-server-ha-0.24-9.fc19.x86_64.rpm: compat-qpid-cpp-server-ha-0.24-9.fc19.x86_64
Marking compat-qpid-cpp-server-ha-0.24-9.fc19.x86_64.rpm to be installed
Examining python-qpid-qmf-0.24-18.fc19.x86_64.rpm: python-qpid-qmf-0.24-18.fc19.x86_64
Marking python-qpid-qmf-0.24-18.fc19.x86_64.rpm to be installed
Examining qpid-qmf-0.24-18.fc19.x86_64.rpm: qpid-qmf-0.24-18.fc19.x86_64
Marking qpid-qmf-0.24-18.fc19.x86_64.rpm to be installed
Examining qpid-cpp-client-0.24-9.fc19.x86_64.rpm: qpid-cpp-client-0.24-9.fc19.x86_64
Marking qpid-cpp-client-0.24-9.fc19.x86_64.rpm to be installed
Examining qpid-cpp-client-devel-0.24-9.fc19.x86_64.rpm: qpid-cpp-client-devel-0.24-9.fc19.x86_64
Marking qpid-cpp-client-devel-0.24-9.fc19.x86_64.rpm to be installed
Resolving Dependencies
--> Running transaction check
---> Package compat-qpid-cpp-server-ha.x86_64 0:0.24-9.fc19 will be installed
---> Package compat-qpid-tools.noarch 0:0.24-9.fc19 will be installed
--> Processing Dependency: python-qpid >= 0.8 for package: compat-qpid-tools-0.24-9.fc19.noarch
---> Package python-qpid-qmf.x86_64 0:0.24-18.fc19 will be installed
---> Package qpid-cpp-client.x86_64 0:0.24-9.fc19 will be installed
---> Package qpid-cpp-client-devel.x86_64 0:0.24-9.fc19 will be installed
---> Package qpid-qmf.x86_64 0:0.24-18.fc19 will be installed
--> Processing Dependency: qpid(client)(x86-64) >= 0.24 for package: qpid-qmf-0.24-18.fc19.x86_64
--> Running transaction check
---> Package python-qpid.noarch 0:0.24-1.fc19 will be installed
--> Processing Dependency: python-qpid-common = 0.24-1.fc19 for package: python-qpid-0.24-1.fc19.noarch
---> Package qpid-qmf.x86_64 0:0.24-18.fc19 will be installed
--> Processing Dependency: qpid(client)(x86-64) >= 0.24 for package: qpid-qmf-0.24-18.fc19.x86_64
--> Running transaction check
---> Package python-qpid-common.noarch 0:0.24-1.fc19 will be installed
---> Package qpid-qmf.x86_64 0:0.24-18.fc19 will be installed
--> Processing Dependency: qpid(client)(x86-64) >= 0.24 for package: qpid-qmf-0.24-18.fc19.x86_64


****** This is the expected/intended conflict.

--> Processing Conflict: compat-qpid-cpp-client-0.24-9.fc19.x86_64 conflicts qpid-cpp-client
--> Processing Conflict: compat-qpid-cpp-client-devel-0.24-9.fc19.x86_64 conflicts qpid-cpp-client-devel
--> Finished Dependency Resolution

************

Error: compat-qpid-cpp-client-devel conflicts with qpid-cpp-client-devel-0.24-9.fc19.x86_64
Error: compat-qpid-cpp-client conflicts with qpid-cpp-client-0.24-9.fc19.x86_64
Error: Package: qpid-qmf-0.24-18.fc19.x86_64 (/qpid-qmf-0.24-18.fc19.x86_64)
           Requires: qpid(client)(x86-64) >= 0.24
 You could try using --skip-broken to work around the problem

************


The packages that install without any problems are - 

$ rpm -qa compat* | sort
compat-qpid-cpp-0.24-9.fc19.x86_64
compat-qpid-cpp-client-0.24-9.fc19.x86_64
compat-qpid-cpp-client-devel-0.24-9.fc19.x86_64
compat-qpid-cpp-client-devel-docs-0.24-9.fc19.noarch
compat-qpid-cpp-client-rdma-0.24-9.fc19.x86_64
compat-qpid-cpp-server-0.24-9.fc19.x86_64
compat-qpid-cpp-server-rdma-0.24-9.fc19.x86_64
compat-qpid-cpp-server-store-0.24-9.fc19.x86_64
compat-qpid-cpp-server-xml-0.24-9.fc19.x86_64

Comment 31 Darryl L. Pierce 2014-05-22 12:53:45 UTC
I built 0.24 yesterday for F19 but it doesn't seem to have made it into updates-testing yet. And I only see 0.20 in stable and nothing in updates.

Comment 32 Mukundan Ragavan 2014-05-22 13:02:23 UTC
Hi! I noticed that. That's why I downloaded the rpms from koji directly (impatient :)) and tried to install the packages. Here is what I tried - 

(In reply to Mukundan Ragavan from comment #30)
> Cannot install -server-ha and -tools. It's qpid-qmf dependency that needs to
> be worked out here, as I understand it.
> 
> Here is what I tried
> 
> # yum install compat-qpid-tools-0.24-9.fc19.noarch.rpm
> compat-qpid-cpp-server-ha-0.24-9.fc19.x86_64.rpm
> python-qpid-qmf-0.24-18.fc19.x86_64.rpm qpid-qmf-0.24-18.fc19.x86_64.rpm
> qpid-cpp-client-0.24-9.fc19.x86_64.rpm
> qpid-cpp-client-devel-0.24-9.fc19.x86_64.rpm
>

Comment 33 Darryl L. Pierce 2014-05-22 18:48:23 UTC
(In reply to Mukundan Ragavan from comment #32)
> Hi! I noticed that. That's why I downloaded the rpms from koji directly
> (impatient :)) and tried to install the packages. Here is what I tried - 

I'm going to do any more test builds and all in rawhide to avoid accidentally affecting released versions of Fedora. Then, once this is all working, I'll propagate those changes down to 20 and 19.

 * I've updated qpid-cpp to provide qpid(client) and qpid(client-devel)
 * I've updated qpid-qmf to require those only and not qpid-cpp-client{-devel}

I've tested and they definitely install with the virtual provides on my F21 system. All looks good.

Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6877336
Updated spec:  http://mcpierce.fedorapeople.org/rpms/compat-qpid-cpp.spec
Updated SRPM:  http://mcpierce.fedorapeople.org/rpms/compat-qpid-cpp-0.24-10.fc20.src.rpm

Comment 34 Mukundan Ragavan 2014-05-22 22:33:38 UTC
Perfect! Everything resolved.

$ rpm -qa compat-* | sort
compat-qpid-cpp-0.24-10.fc21.x86_64
compat-qpid-cpp-client-0.24-10.fc21.x86_64
compat-qpid-cpp-client-devel-0.24-10.fc21.x86_64
compat-qpid-cpp-client-devel-docs-0.24-10.fc21.noarch
compat-qpid-cpp-client-rdma-0.24-10.fc21.x86_64
compat-qpid-cpp-server-0.24-10.fc21.x86_64
compat-qpid-cpp-server-ha-0.24-10.fc21.x86_64
compat-qpid-cpp-server-rdma-0.24-10.fc21.x86_64
compat-qpid-cpp-server-store-0.24-10.fc21.x86_64
compat-qpid-cpp-server-xml-0.24-10.fc21.x86_64
compat-qpid-tools-0.24-10.fc21.noarch


rpmlint shows this - 

compat-qpid-cpp.src:188: W: unversioned-explicit-provides qpid-cpp-client-devel-docs
compat-qpid-cpp.src:204: W: unversioned-explicit-provides qpid-cpp-server
compat-qpid-cpp.src:269: W: unversioned-explicit-provides qpid-cpp-server-ha
compat-qpid-cpp.src:304: W: unversioned-explicit-provides qpid-cpp-client-rdma
compat-qpid-cpp.src:326: W: unversioned-explicit-provides qpid-cpp-server-rdma
compat-qpid-cpp.src:348: W: unversioned-explicit-provides qpid-cpp-server-xml
compat-qpid-cpp.src:370: W: unversioned-explicit-provides qpid-cpp-server-store
compat-qpid-cpp.src:393: W: unversioned-explicit-provides qpid-tools

Please fix versioning before building. Package approved.

Comment 35 Darryl L. Pierce 2014-05-24 11:05:28 UTC
(In reply to Mukundan Ragavan from comment #34)
<snip> 
> Please fix versioning before building. Package approved.

Will do, and thank you!

New Package SCM Request
=======================
Package Name: compat-qpid-cpp
Short Description: Compatibility modules for Qpid 
Upstream URL: http://qpid.apache.org
Owners: mcpierce
Branches: f19 f20 el6 epel7
InitialCC:

Comment 36 Gwyn Ciesla 2014-05-27 12:52:55 UTC
Git done (by process-git-requests).

Comment 37 Fedora Update System 2014-05-28 20:47:14 UTC
compat-qpid-cpp-0.24-11.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/compat-qpid-cpp-0.24-11.fc20

Comment 38 Fedora Update System 2014-05-28 21:25:03 UTC
compat-qpid-cpp-0.24-11.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/compat-qpid-cpp-0.24-11.fc19

Comment 39 Fedora Update System 2014-05-29 23:24:20 UTC
compat-qpid-cpp-0.24-11.fc19 has been pushed to the Fedora 19 testing repository.

Comment 40 Fedora Update System 2014-06-03 07:46:45 UTC
compat-qpid-cpp-0.24-12.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/compat-qpid-cpp-0.24-12.fc20

Comment 41 Fedora Update System 2014-06-03 07:46:53 UTC
compat-qpid-cpp-0.24-12.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/compat-qpid-cpp-0.24-12.fc19

Comment 42 Fedora Update System 2014-06-12 06:22:53 UTC
compat-qpid-cpp-0.24-12.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 43 Fedora Update System 2014-06-12 06:23:32 UTC
compat-qpid-cpp-0.24-12.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 44 Bhuvan Rawal 2015-01-04 16:52:17 UTC
sudo yum install qpid-cpp-client
Loaded plugins: langpacks
Resolving Dependencies
--> Running transaction check
---> Package qpid-cpp-client.x86_64 0:0.30-3.fc21 will be installed
--> Processing Conflict: compat-qpid-cpp-client-0.24-18.fc21.x86_64 conflicts qpid-cpp-client
--> Finished Dependency Resolution
Error: compat-qpid-cpp-client conflicts with qpid-cpp-client-0.30-3.fc21.x86_64

Comment 45 Mukundan Ragavan 2015-01-05 00:39:50 UTC
(In reply to Bhuvan Rawal from comment #44)
> sudo yum install qpid-cpp-client
> Loaded plugins: langpacks
> Resolving Dependencies
> --> Running transaction check
> ---> Package qpid-cpp-client.x86_64 0:0.30-3.fc21 will be installed
> --> Processing Conflict: compat-qpid-cpp-client-0.24-18.fc21.x86_64
> conflicts qpid-cpp-client
> --> Finished Dependency Resolution
> Error: compat-qpid-cpp-client conflicts with
> qpid-cpp-client-0.30-3.fc21.x86_64

This is a package review request. Please do not add any other content here. Open a new report for the bugs you want addressed.

Thanks.


Note You need to log in before you can comment on or make changes to this bug.